
!------------------------------------------------------------------------!
!  The Community Multiscale Air Quality (CMAQ) system software is in     !
!  continuous development by various groups and is based on information  !
!  from these groups: Federal Government employees, contractors working  !
!  within a United States Government contract, and non-Federal sources   !
!  including research institutions.  These groups give the Government    !
!  permission to use, prepare derivative works of, and distribute copies !
!  of their work in the CMAQ system to the public and to permit others   !
!  to do so.  The United States Environmental Protection Agency          !
!  therefore grants similar permission to use the CMAQ system software,  !
!  but users are requested to provide copies of derivative works or      !
!  products designed to operate in the CMAQ system to the United States  !
!  Government without restrictions as to use by others.  Software        !
!  that is used with the CMAQ system but distributed under the GNU       !
!  General Public License or the GNU Lesser General Public License is    !
!  subject to their copyright restrictions.                              !
!------------------------------------------------------------------------!

C RCS file, release, date & time of last delta, author, state, [and locker]
C $Header$

C what(1) key, module and SID; SCCS file; date and time of last delta:
C %W% %P% %G% %U%

      SUBROUTINE HRRATES

C***********************************************************************
C
C  FUNCTION: To calculate rates of reactions
C
C  PRECONDITIONS: For the CB05MP51 family of mechanisms
C
C  KEY SUBROUTINES/FUNCTIONS CALLED: None
C
C  REVISION HISTORY: Created by EBI solver program, May 27, 2016
C
C***********************************************************************
      USE HRDATA

      IMPLICIT NONE

C.....INCLUDES: NONE


C.....ARGUMENTS: NONE


C.....PARAMETERS: NONE


C.....EXTERNAL FUNCTIONS: NONE


C.....SAVED VARIABLES: NONE
!     CHARACTER( 16 ), SAVE  ::  PNAME = 'HRRATES'   ! Program name


C.....LOCAL VARIABLES: None

C***********************************************************************
C..NOTE: RXRAT commented out are not referenced by any routine
!     RXRAT(    1 ) = RKI(   1 ) * YC(  NO2 )
!     RXRAT(    2 ) = RKI(   2 ) * YC(  O )
!     RXRAT(    3 ) = RKI(   3 ) * YC(  O3 ) * YC(  NO )
!     RXRAT(    4 ) = RKI(   4 ) * YC(  O ) * YC(  NO2 )
      RXRAT(    5 ) = RKI(   5 ) * YC(  O ) * YC(  NO2 )
!     RXRAT(    6 ) = RKI(   6 ) * YC(  O ) * YC(  NO )
      RXRAT(    7 ) = RKI(   7 ) * YC(  NO2 ) * YC(  O3 )
      RXRAT(    8 ) = RKI(   8 ) * YC(  O3 )
      RXRAT(    9 ) = RKI(   9 ) * YC(  O3 )
!     RXRAT(   10 ) = RKI(  10 ) * YC(  O1D )
!     RXRAT(   11 ) = RKI(  11 ) * YC(  O1D )
!     RXRAT(   12 ) = RKI(  12 ) * YC(  O3 ) * YC(  OH )
!     RXRAT(   13 ) = RKI(  13 ) * YC(  O3 ) * YC(  HO2 )
      RXRAT(   14 ) = RKI(  14 ) * YC(  NO3 )
      RXRAT(   15 ) = RKI(  15 ) * YC(  NO3 )
      RXRAT(   16 ) = RKI(  16 ) * YC(  NO3 ) * YC(  NO )
      RXRAT(   17 ) = RKI(  17 ) * YC(  NO3 ) * YC(  NO2 )
!     RXRAT(   18 ) = RKI(  18 ) * YC(  NO3 ) * YC(  NO2 )
      RXRAT(   19 ) = RKI(  19 ) * YC(  N2O5 )
      RXRAT(   20 ) = RKI(  20 ) * YC(  N2O5 )
      RXRAT(   21 ) = RKI(  21 ) * YC(  N2O5 )
!     RXRAT(   22 ) = RKI(  22 ) * YC(  NO ) * YC(  NO )
      RXRAT(   23 ) = RKI(  23 ) * YC(  NO ) * YC(  NO2 )
!     RXRAT(   24 ) = RKI(  24 ) * YC(  NO ) * YC(  OH )
      RXRAT(   25 ) = RKI(  25 ) * YC(  HONO )
      RXRAT(   26 ) = RKI(  26 ) * YC(  OH ) * YC(  HONO )
      RXRAT(   27 ) = RKI(  27 ) * YC(  HONO ) * YC(  HONO )
      RXRAT(   28 ) = RKI(  28 ) * YC(  NO2 ) * YC(  OH )
      RXRAT(   29 ) = RKI(  29 ) * YC(  OH ) * YC(  HNO3 )
!     RXRAT(   30 ) = RKI(  30 ) * YC(  HO2 ) * YC(  NO )
      RXRAT(   31 ) = RKI(  31 ) * YC(  NO ) * YC(  HO2 )
!     RXRAT(   32 ) = RKI(  32 ) * YC(  HO2 ) * YC(  NO2 )
      RXRAT(   33 ) = RKI(  33 ) * YC(  PNA )
      RXRAT(   34 ) = RKI(  34 ) * YC(  OH ) * YC(  PNA )
      RXRAT(   35 ) = RKI(  35 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   36 ) = RKI(  36 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   37 ) = RKI(  37 ) * YC(  H2O2 )
      RXRAT(   38 ) = RKI(  38 ) * YC(  OH ) * YC(  H2O2 )
!     RXRAT(   39 ) = RKI(  39 ) * YC(  O1D )
!     RXRAT(   40 ) = RKI(  40 ) * YC(  OH )
!     RXRAT(   41 ) = RKI(  41 ) * YC(  OH ) * YC(  O )
      RXRAT(   42 ) = RKI(  42 ) * YC(  OH ) * YC(  OH )
      RXRAT(   43 ) = RKI(  43 ) * YC(  OH ) * YC(  OH )
!     RXRAT(   44 ) = RKI(  44 ) * YC(  OH ) * YC(  HO2 )
!     RXRAT(   45 ) = RKI(  45 ) * YC(  HO2 ) * YC(  O )
      RXRAT(   46 ) = RKI(  46 ) * YC(  H2O2 ) * YC(  O )
      RXRAT(   47 ) = RKI(  47 ) * YC(  NO3 ) * YC(  O )
      RXRAT(   48 ) = RKI(  48 ) * YC(  NO3 ) * YC(  OH )
      RXRAT(   49 ) = RKI(  49 ) * YC(  NO3 ) * YC(  HO2 )
      RXRAT(   50 ) = RKI(  50 ) * YC(  NO3 ) * YC(  O3 )
      RXRAT(   51 ) = RKI(  51 ) * YC(  NO3 ) * YC(  NO3 )
      RXRAT(   52 ) = RKI(  52 ) * YC(  PNA )
      RXRAT(   53 ) = RKI(  53 ) * YC(  HNO3 )
      RXRAT(   54 ) = RKI(  54 ) * YC(  N2O5 )
      RXRAT(   55 ) = RKI(  55 ) * YC(  XO2 ) * YC(  NO )
      RXRAT(   56 ) = RKI(  56 ) * YC(  XO2N ) * YC(  NO )
      RXRAT(   57 ) = RKI(  57 ) * YC(  XO2 ) * YC(  HO2 )
      RXRAT(   58 ) = RKI(  58 ) * YC(  XO2N ) * YC(  HO2 )
      RXRAT(   59 ) = RKI(  59 ) * YC(  XO2 ) * YC(  XO2 )
      RXRAT(   60 ) = RKI(  60 ) * YC(  XO2N ) * YC(  XO2N )
      RXRAT(   61 ) = RKI(  61 ) * YC(  XO2 ) * YC(  XO2N )
      RXRAT(   62 ) = RKI(  62 ) * YC(  ROOH ) * YC(  OH )
      RXRAT(   63 ) = RKI(  63 ) * YC(  ROOH )
      RXRAT(   64 ) = RKI(  64 ) * YC(  ISOPX ) * YC(  OH )
      RXRAT(   65 ) = RKI(  65 ) * YC(  IEPOX ) * YC(  OH )
      RXRAT(   66 ) = RKI(  66 ) * YC(  IEPXO2 ) * YC(  HO2 )
      RXRAT(   67 ) = RKI(  67 ) * YC(  IEPXO2 ) * YC(  NO )
      RXRAT(   68 ) = RKI(  68 ) * YC(  IEPXO2 ) * YC(  C2O3 )
      RXRAT(   69 ) = RKI(  69 ) * YC(  OH ) * YC(  CO )
      RXRAT(   70 ) = RKI(  70 ) * YC(  OH )
      RXRAT(   71 ) = RKI(  71 ) * YC(  MEO2 ) * YC(  NO )
      RXRAT(   72 ) = RKI(  72 ) * YC(  MEO2 ) * YC(  HO2 )
      RXRAT(   73 ) = RKI(  73 ) * YC(  MEO2 ) * YC(  MEO2 )
      RXRAT(   74 ) = RKI(  74 ) * YC(  MEPX ) * YC(  OH )
      RXRAT(   75 ) = RKI(  75 ) * YC(  MEPX )
      RXRAT(   76 ) = RKI(  76 ) * YC(  MEOH ) * YC(  OH )
      RXRAT(   77 ) = RKI(  77 ) * YC(  FORM ) * YC(  OH )
      RXRAT(   78 ) = RKI(  78 ) * YC(  FORM )
      RXRAT(   79 ) = RKI(  79 ) * YC(  FORM )
      RXRAT(   80 ) = RKI(  80 ) * YC(  FORM ) * YC(  O )
      RXRAT(   81 ) = RKI(  81 ) * YC(  FORM ) * YC(  NO3 )
      RXRAT(   82 ) = RKI(  82 ) * YC(  FORM ) * YC(  HO2 )
      RXRAT(   83 ) = RKI(  83 ) * YC(  HCO3 )
      RXRAT(   84 ) = RKI(  84 ) * YC(  HCO3 ) * YC(  NO )
      RXRAT(   85 ) = RKI(  85 ) * YC(  HCO3 ) * YC(  HO2 )
      RXRAT(   86 ) = RKI(  86 ) * YC(  FACD ) * YC(  OH )
      RXRAT(   87 ) = RKI(  87 ) * YC(  ALD2 ) * YC(  O )
      RXRAT(   88 ) = RKI(  88 ) * YC(  ALD2 ) * YC(  OH )
      RXRAT(   89 ) = RKI(  89 ) * YC(  ALD2 ) * YC(  NO3 )
      RXRAT(   90 ) = RKI(  90 ) * YC(  ALD2 )
      RXRAT(   91 ) = RKI(  91 ) * YC(  C2O3 ) * YC(  NO )
!     RXRAT(   92 ) = RKI(  92 ) * YC(  C2O3 ) * YC(  NO2 )
      RXRAT(   93 ) = RKI(  93 ) * YC(  PAN )
      RXRAT(   94 ) = RKI(  94 ) * YC(  PAN )
      RXRAT(   95 ) = RKI(  95 ) * YC(  C2O3 ) * YC(  HO2 )
      RXRAT(   96 ) = RKI(  96 ) * YC(  C2O3 ) * YC(  MEO2 )
      RXRAT(   97 ) = RKI(  97 ) * YC(  C2O3 ) * YC(  XO2 )
      RXRAT(   98 ) = RKI(  98 ) * YC(  C2O3 ) * YC(  C2O3 )
      RXRAT(   99 ) = RKI(  99 ) * YC(  PACD ) * YC(  OH )
      RXRAT(  100 ) = RKI( 100 ) * YC(  PACD )
      RXRAT(  101 ) = RKI( 101 ) * YC(  AACD ) * YC(  OH )
      RXRAT(  102 ) = RKI( 102 ) * YC(  ALDX ) * YC(  O )
      RXRAT(  103 ) = RKI( 103 ) * YC(  ALDX ) * YC(  OH )
      RXRAT(  104 ) = RKI( 104 ) * YC(  ALDX ) * YC(  NO3 )
      RXRAT(  105 ) = RKI( 105 ) * YC(  ALDX )
      RXRAT(  106 ) = RKI( 106 ) * YC(  CXO3 ) * YC(  NO )
      RXRAT(  107 ) = RKI( 107 ) * YC(  CXO3 ) * YC(  NO2 )
      RXRAT(  108 ) = RKI( 108 ) * YC(  PANX )
      RXRAT(  109 ) = RKI( 109 ) * YC(  PANX )
      RXRAT(  110 ) = RKI( 110 ) * YC(  PANX ) * YC(  OH )
      RXRAT(  111 ) = RKI( 111 ) * YC(  CXO3 ) * YC(  HO2 )
      RXRAT(  112 ) = RKI( 112 ) * YC(  CXO3 ) * YC(  MEO2 )
      RXRAT(  113 ) = RKI( 113 ) * YC(  CXO3 ) * YC(  XO2 )
      RXRAT(  114 ) = RKI( 114 ) * YC(  CXO3 ) * YC(  CXO3 )
      RXRAT(  115 ) = RKI( 115 ) * YC(  CXO3 ) * YC(  C2O3 )
      RXRAT(  116 ) = RKI( 116 ) * YC(  PAR ) * YC(  OH )
      RXRAT(  117 ) = RKI( 117 ) * YC(  ROR )
      RXRAT(  118 ) = RKI( 118 ) * YC(  ROR )
      RXRAT(  119 ) = RKI( 119 ) * YC(  ROR ) * YC(  NO2 )
      RXRAT(  120 ) = RKI( 120 ) * YC(  O ) * YC(  OLE )
      RXRAT(  121 ) = RKI( 121 ) * YC(  OH ) * YC(  OLE )
      RXRAT(  122 ) = RKI( 122 ) * YC(  O3 ) * YC(  OLE )
      RXRAT(  123 ) = RKI( 123 ) * YC(  NO3 ) * YC(  OLE )
      RXRAT(  124 ) = RKI( 124 ) * YC(  O ) * YC(  ETH )
      RXRAT(  125 ) = RKI( 125 ) * YC(  OH ) * YC(  ETH )
      RXRAT(  126 ) = RKI( 126 ) * YC(  O3 ) * YC(  ETH )
      RXRAT(  127 ) = RKI( 127 ) * YC(  NO3 ) * YC(  ETH )
      RXRAT(  128 ) = RKI( 128 ) * YC(  IOLE ) * YC(  O )
      RXRAT(  129 ) = RKI( 129 ) * YC(  IOLE ) * YC(  OH )
      RXRAT(  130 ) = RKI( 130 ) * YC(  IOLE ) * YC(  O3 )
      RXRAT(  131 ) = RKI( 131 ) * YC(  IOLE ) * YC(  NO3 )
      RXRAT(  132 ) = RKI( 132 ) * YC(  TOL ) * YC(  OH )
      RXRAT(  133 ) = RKI( 133 ) * YC(  TO2 ) * YC(  NO )
      RXRAT(  134 ) = RKI( 134 ) * YC(  TO2 ) * YC(  HO2 )
      RXRAT(  135 ) = RKI( 135 ) * YC(  OH ) * YC(  CRES )
      RXRAT(  136 ) = RKI( 136 ) * YC(  CRES ) * YC(  NO3 )
      RXRAT(  137 ) = RKI( 137 ) * YC(  CRO ) * YC(  NO2 )
      RXRAT(  138 ) = RKI( 138 ) * YC(  CRO ) * YC(  HO2 )
      RXRAT(  139 ) = RKI( 139 ) * YC(  CRON ) * YC(  OH )
      RXRAT(  140 ) = RKI( 140 ) * YC(  CRON ) * YC(  NO3 )
      RXRAT(  141 ) = RKI( 141 ) * YC(  CRNO ) * YC(  NO2 )
      RXRAT(  142 ) = RKI( 142 ) * YC(  CRNO ) * YC(  O3 )
      RXRAT(  143 ) = RKI( 143 ) * YC(  CRN2 ) * YC(  NO )
      RXRAT(  144 ) = RKI( 144 ) * YC(  CRN2 ) * YC(  HO2 )
      RXRAT(  145 ) = RKI( 145 ) * YC(  CRPX )
      RXRAT(  146 ) = RKI( 146 ) * YC(  CRPX ) * YC(  OH )
      RXRAT(  147 ) = RKI( 147 ) * YC(  OPEN )
      RXRAT(  148 ) = RKI( 148 ) * YC(  OPEN ) * YC(  OH )
      RXRAT(  149 ) = RKI( 149 ) * YC(  OPEN ) * YC(  O3 )
      RXRAT(  150 ) = RKI( 150 ) * YC(  OPEN ) * YC(  NO3 )
      RXRAT(  151 ) = RKI( 151 ) * YC(  CAT1 ) * YC(  OH )
      RXRAT(  152 ) = RKI( 152 ) * YC(  CAT1 ) * YC(  NO3 )
      RXRAT(  153 ) = RKI( 153 ) * YC(  CAO2 ) * YC(  NO )
      RXRAT(  154 ) = RKI( 154 ) * YC(  CAO2 ) * YC(  HO2 )
      RXRAT(  155 ) = RKI( 155 ) * YC(  OPO3 ) * YC(  NO )
      RXRAT(  156 ) = RKI( 156 ) * YC(  OPO3 ) * YC(  NO2 )
      RXRAT(  157 ) = RKI( 157 ) * YC(  OPAN )
      RXRAT(  158 ) = RKI( 158 ) * YC(  OH ) * YC(  XYLMN )
      RXRAT(  159 ) = RKI( 159 ) * YC(  OH ) * YC(  NAPH )
      RXRAT(  160 ) = RKI( 160 ) * YC(  OH ) * YC(  MGLY )
      RXRAT(  161 ) = RKI( 161 ) * YC(  MGLY )
      RXRAT(  162 ) = RKI( 162 ) * YC(  O ) * YC(  ISOP )
      RXRAT(  163 ) = RKI( 163 ) * YC(  ISOP ) * YC(  OH )
      RXRAT(  164 ) = RKI( 164 ) * YC(  ISOPO2 ) * YC(  NO )
      RXRAT(  165 ) = RKI( 165 ) * YC(  ISOPO2 ) * YC(  C2O3 )
      RXRAT(  166 ) = RKI( 166 ) * YC(  ISOPO2 ) * YC(  HO2 )
      RXRAT(  167 ) = RKI( 167 ) * YC(  O3 ) * YC(  ISOP )
      RXRAT(  168 ) = RKI( 168 ) * YC(  NO3 ) * YC(  ISOP )
      RXRAT(  169 ) = RKI( 169 ) * YC(  OH ) * YC(  ISPD )
      RXRAT(  170 ) = RKI( 170 ) * YC(  O3 ) * YC(  ISPD )
      RXRAT(  171 ) = RKI( 171 ) * YC(  NO3 ) * YC(  ISPD )
      RXRAT(  172 ) = RKI( 172 ) * YC(  ISPD )
      RXRAT(  173 ) = RKI( 173 ) * YC(  TERP ) * YC(  O )
      RXRAT(  174 ) = RKI( 174 ) * YC(  TERP ) * YC(  OH )
      RXRAT(  175 ) = RKI( 175 ) * YC(  XO2T ) * YC(  NO )
      RXRAT(  176 ) = RKI( 176 ) * YC(  XO2T ) * YC(  HO2 )
      RXRAT(  177 ) = RKI( 177 ) * YC(  XO2T ) * YC(  XO2T )
      RXRAT(  178 ) = RKI( 178 ) * YC(  XO2 ) * YC(  XO2T )
      RXRAT(  179 ) = RKI( 179 ) * YC(  TERP ) * YC(  O3 )
      RXRAT(  180 ) = RKI( 180 ) * YC(  TERP ) * YC(  NO3 )
      RXRAT(  181 ) = RKI( 181 ) * YC(  SO2 ) * YC(  OH )
      RXRAT(  182 ) = RKI( 182 ) * YC(  OH ) * YC(  ETOH )
      RXRAT(  183 ) = RKI( 183 ) * YC(  OH ) * YC(  ETHA )
      RXRAT(  184 ) = RKI( 184 ) * YC(  NO2 ) * YC(  ISOP )
      RXRAT(  185 ) = RKI( 185 ) * YC(  CL2 )
      RXRAT(  186 ) = RKI( 186 ) * YC(  HOCL )
      RXRAT(  187 ) = RKI( 187 ) * YC(  CL ) * YC(  O3 )
      RXRAT(  188 ) = RKI( 188 ) * YC(  CLO ) * YC(  CLO )
      RXRAT(  189 ) = RKI( 189 ) * YC(  CLO ) * YC(  NO )
      RXRAT(  190 ) = RKI( 190 ) * YC(  CLO ) * YC(  HO2 )
      RXRAT(  191 ) = RKI( 191 ) * YC(  OH ) * YC(  FMCL )
      RXRAT(  192 ) = RKI( 192 ) * YC(  FMCL )
      RXRAT(  193 ) = RKI( 193 ) * YC(  CL )
      RXRAT(  194 ) = RKI( 194 ) * YC(  CL ) * YC(  PAR )
      RXRAT(  195 ) = RKI( 195 ) * YC(  CL ) * YC(  ETHA )
      RXRAT(  196 ) = RKI( 196 ) * YC(  CL ) * YC(  ETH )
      RXRAT(  197 ) = RKI( 197 ) * YC(  CL ) * YC(  OLE )
      RXRAT(  198 ) = RKI( 198 ) * YC(  CL ) * YC(  IOLE )
      RXRAT(  199 ) = RKI( 199 ) * YC(  CL ) * YC(  ISOP )
      RXRAT(  200 ) = RKI( 200 ) * YC(  CL ) * YC(  FORM )
      RXRAT(  201 ) = RKI( 201 ) * YC(  CL ) * YC(  ALD2 )
      RXRAT(  202 ) = RKI( 202 ) * YC(  CL ) * YC(  ALDX )
      RXRAT(  203 ) = RKI( 203 ) * YC(  CL ) * YC(  MEOH )
      RXRAT(  204 ) = RKI( 204 ) * YC(  CL ) * YC(  ETOH )
      RXRAT(  205 ) = RKI( 205 ) * YC(  HCL ) * YC(  OH )
      RXRAT(  206 ) = RKI( 206 ) * YC(  CL ) * YC(  TOL )
      RXRAT(  207 ) = RKI( 207 ) * YC(  CL ) * YC(  XYLMN )
      RXRAT(  208 ) = RKI( 208 ) * YC(  CL ) * YC(  NAPH )
      RXRAT(  209 ) = RKI( 209 ) * YC(  CL ) * YC(  NO2 )
      RXRAT(  210 ) = RKI( 210 ) * YC(  CLNO2 )
      RXRAT(  211 ) = RKI( 211 ) * YC(  TOLRO2 ) * YC(  NO )
      RXRAT(  212 ) = RKI( 212 ) * YC(  TOLRO2 ) * YC(  HO2 )
      RXRAT(  213 ) = RKI( 213 ) * YC(  XYLRO2 ) * YC(  NO )
      RXRAT(  214 ) = RKI( 214 ) * YC(  XYLRO2 ) * YC(  HO2 )
      RXRAT(  215 ) = RKI( 215 ) * YC(  BENZENE ) * YC(  OH )
      RXRAT(  216 ) = RKI( 216 ) * YC(  BENZRO2 ) * YC(  NO )
      RXRAT(  217 ) = RKI( 217 ) * YC(  BENZRO2 ) * YC(  HO2 )
      RXRAT(  218 ) = RKI( 218 ) * YC(  SESQ ) * YC(  O3 )
      RXRAT(  219 ) = RKI( 219 ) * YC(  SESQ ) * YC(  OH )
      RXRAT(  220 ) = RKI( 220 ) * YC(  SESQ ) * YC(  NO3 )
      RXRAT(  221 ) = RKI( 221 ) * YC(  PAHRO2 ) * YC(  NO )
      RXRAT(  222 ) = RKI( 222 ) * YC(  PAHRO2 ) * YC(  HO2 )
      RXRAT(  223 ) = RKI( 223 ) * YC(  SOAALK ) * YC(  OH )
      RXRAT(  224 ) = RKI( 224 ) * YC(  MACO3 ) * YC(  NO )
      RXRAT(  225 ) = RKI( 225 ) * YC(  MACO3 ) * YC(  NO2 )
      RXRAT(  226 ) = RKI( 226 ) * YC(  MAPAN )
      RXRAT(  227 ) = RKI( 227 ) * YC(  MAPAN )
      RXRAT(  228 ) = RKI( 228 ) * YC(  MAPAN ) * YC(  OH )
      RXRAT(  229 ) = RKI( 229 ) * YC(  MACO3 ) * YC(  HO2 )
      RXRAT(  230 ) = RKI( 230 ) * YC(  MACO3 ) * YC(  MEO2 )
      RXRAT(  231 ) = RKI( 231 ) * YC(  MACO3 ) * YC(  XO2 )
      RXRAT(  232 ) = RKI( 232 ) * YC(  MACO3 ) * YC(  CXO3 )
      RXRAT(  233 ) = RKI( 233 ) * YC(  MACO3 ) * YC(  C2O3 )
      RXRAT(  234 ) = RKI( 234 ) * YC(  NTRALK ) * YC(  OH )
      RXRAT(  235 ) = RKI( 235 ) * YC(  NALKO2 ) * YC(  NO )
      RXRAT(  236 ) = RKI( 236 ) * YC(  NALKO2 ) * YC(  HO2 )
      RXRAT(  237 ) = RKI( 237 ) * YC(  NTROH ) * YC(  OH )
      RXRAT(  238 ) = RKI( 238 ) * YC(  NOHO2 ) * YC(  NO )
      RXRAT(  239 ) = RKI( 239 ) * YC(  NOHO2 ) * YC(  HO2 )
      RXRAT(  240 ) = RKI( 240 ) * YC(  NTRCN ) * YC(  OH )
      RXRAT(  241 ) = RKI( 241 ) * YC(  NCNO2 ) * YC(  NO )
      RXRAT(  242 ) = RKI( 242 ) * YC(  NCNO2 ) * YC(  HO2 )
      RXRAT(  243 ) = RKI( 243 ) * YC(  NTRCNOH ) * YC(  OH )
      RXRAT(  244 ) = RKI( 244 ) * YC(  NCNOHO2 ) * YC(  NO )
      RXRAT(  245 ) = RKI( 245 ) * YC(  NCNOHO2 ) * YC(  HO2 )
      RXRAT(  246 ) = RKI( 246 ) * YC(  NTRPX ) * YC(  OH )
      RXRAT(  247 ) = RKI( 247 ) * YC(  NTRM ) * YC(  OH )
      RXRAT(  248 ) = RKI( 248 ) * YC(  NTRMO2 ) * YC(  NO )
      RXRAT(  249 ) = RKI( 249 ) * YC(  NTRMO2 ) * YC(  HO2 )
      RXRAT(  250 ) = RKI( 250 ) * YC(  NTRI ) * YC(  OH )
      RXRAT(  251 ) = RKI( 251 ) * YC(  NTRIO2 ) * YC(  NO )
      RXRAT(  252 ) = RKI( 252 ) * YC(  NTRIO2 ) * YC(  HO2 )
      RXRAT(  253 ) = RKI( 253 ) * YC(  NTRM )
      RXRAT(  254 ) = RKI( 254 ) * YC(  NTRI )
      RXRAT(  255 ) = RKI( 255 ) * YC(  NTRALK )
      RXRAT(  256 ) = RKI( 256 ) * YC(  NTROH )
      RXRAT(  257 ) = RKI( 257 ) * YC(  NTRCN )
      RXRAT(  258 ) = RKI( 258 ) * YC(  NTRCNOH )
      RXRAT(  259 ) = RKI( 259 ) * YC(  NTRPX )
      RXRAT(  260 ) = RKI( 260 ) * YC(  NTRALK )
      RXRAT(  261 ) = RKI( 261 ) * YC(  NTROH )
      RXRAT(  262 ) = RKI( 262 ) * YC(  NTRCN )
      RXRAT(  263 ) = RKI( 263 ) * YC(  NTRCNOH )
      RXRAT(  264 ) = RKI( 264 ) * YC(  NTRPX )
      RXRAT(  265 ) = RKI( 265 ) * YC(  NTRM )
      RXRAT(  266 ) = RKI( 266 ) * YC(  NTRI )
      RXRAT(  267 ) = RKI( 267 ) * YC(  N2O5 )
      RXRAT(  268 ) = RKI( 268 ) * YC(  N2O5 )
      RXRAT(  269 ) = RKI( 269 ) * YC(  H2NO3PIJ )
      RXRAT(  270 ) = RKI( 270 ) * YC(  H2NO3PK )
      RXRAT(  271 ) = RKI( 271 ) * YC(  H2NO3PIJ ) * YC(  ACLI )
      RXRAT(  272 ) = RKI( 272 ) * YC(  H2NO3PIJ ) * YC(  ACLJ )
      RXRAT(  273 ) = RKI( 273 ) * YC(  H2NO3PK ) * YC(  ACLK )
      RXRAT(  274 ) = RKI( 274 ) * YC(  NO2 )
!     RXRAT(  275 ) = RKI( 275 ) * YC(  O3 )
      RXRAT(  276 ) = RKI( 276 ) * YC(  IEPOX )
      RXRAT(  277 ) = RKI( 277 ) * YC(  AXYL1J )
      RXRAT(  278 ) = RKI( 278 ) * YC(  AXYL2J )
      RXRAT(  279 ) = RKI( 279 ) * YC(  ATOL1J )
      RXRAT(  280 ) = RKI( 280 ) * YC(  ATOL2J )
      RXRAT(  281 ) = RKI( 281 ) * YC(  ABNZ1J )
      RXRAT(  282 ) = RKI( 282 ) * YC(  ABNZ2J )
      RXRAT(  283 ) = RKI( 283 ) * YC(  ATRP1J )
      RXRAT(  284 ) = RKI( 284 ) * YC(  ATRP2J )
      RXRAT(  285 ) = RKI( 285 ) * YC(  AISO1J )
      RXRAT(  286 ) = RKI( 286 ) * YC(  AISO2J )
      RXRAT(  287 ) = RKI( 287 ) * YC(  ASQTJ )
      RXRAT(  288 ) = RKI( 288 ) * YC(  APAH1J )
      RXRAT(  289 ) = RKI( 289 ) * YC(  APAH2J )
      RXRAT(  290 ) = RKI( 290 ) * YC(  AALK1J )
      RXRAT(  291 ) = RKI( 291 ) * YC(  AALK2J )
      RXRAT(  292 ) = RKI( 292 ) * YC(  PCVOC ) * YC(  OH )
      RXRAT(  293 ) = RKI( 293 ) * YC(  VLVPO1 ) * YC(  OH )
      RXRAT(  294 ) = RKI( 294 ) * YC(  VSVPO1 ) * YC(  OH )
      RXRAT(  295 ) = RKI( 295 ) * YC(  VSVPO2 ) * YC(  OH )
      RXRAT(  296 ) = RKI( 296 ) * YC(  VSVPO3 ) * YC(  OH )
      RXRAT(  297 ) = RKI( 297 ) * YC(  VIVPO1 ) * YC(  OH )
      RXRAT(  298 ) = RKI( 298 ) * YC(  VLVOO1 ) * YC(  OH )
      RXRAT(  299 ) = RKI( 299 ) * YC(  VLVOO2 ) * YC(  OH )
      RXRAT(  300 ) = RKI( 300 ) * YC(  VSVOO1 ) * YC(  OH )
      RXRAT(  301 ) = RKI( 301 ) * YC(  VSVOO2 ) * YC(  OH )
      RXRAT(  302 ) = RKI( 302 ) * YC(  VSVOO3 ) * YC(  OH )
      RXRAT(  303 ) = RKI( 303 ) * YC(  FORM_PRIMARY ) * YC(  OH )
      RXRAT(  304 ) = RKI( 304 ) * YC(  FORM_PRIMARY ) * YC(  NO3 )
      RXRAT(  305 ) = RKI( 305 ) * YC(  FORM_PRIMARY ) * YC(  O )
      RXRAT(  306 ) = RKI( 306 ) * YC(  FORM_PRIMARY )
      RXRAT(  307 ) = RKI( 307 ) * YC(  FORM_PRIMARY )
      RXRAT(  308 ) = RKI( 308 ) * YC(  FORM_PRIMARY ) * YC(  CL )
      RXRAT(  309 ) = RKI( 309 ) * YC(  ALD2_PRIMARY ) * YC(  OH )
      RXRAT(  310 ) = RKI( 310 ) * YC(  ALD2_PRIMARY ) * YC(  NO3 )
      RXRAT(  311 ) = RKI( 311 ) * YC(  ALD2_PRIMARY ) * YC(  O )
      RXRAT(  312 ) = RKI( 312 ) * YC(  ALD2_PRIMARY )
      RXRAT(  313 ) = RKI( 313 ) * YC(  ALD2_PRIMARY ) * YC(  CL )
      RXRAT(  314 ) = RKI( 314 ) * YC(  BUTADIENE13 ) * YC(  OH )
      RXRAT(  315 ) = RKI( 315 ) * YC(  BUTADIENE13 ) * YC(  O3 )
      RXRAT(  316 ) = RKI( 316 ) * YC(  BUTADIENE13 ) * YC(  NO3 )
      RXRAT(  317 ) = RKI( 317 ) * YC(  BUTADIENE13 ) * YC(  CL )
      RXRAT(  318 ) = RKI( 318 ) * YC(  ACRO_PRIMARY ) * YC(  OH )
      RXRAT(  319 ) = RKI( 319 ) * YC(  ACRO_PRIMARY ) * YC(  O3 )
      RXRAT(  320 ) = RKI( 320 ) * YC(  ACRO_PRIMARY ) * YC(  NO3 )
      RXRAT(  321 ) = RKI( 321 ) * YC(  ACRO_PRIMARY )
      RXRAT(  322 ) = RKI( 322 ) * YC(  ACRO_PRIMARY ) * YC(  CL )
      RXRAT(  323 ) = RKI( 323 ) * YC(  ACROLEIN ) * YC(  OH )
      RXRAT(  324 ) = RKI( 324 ) * YC(  ACROLEIN ) * YC(  O3 )
      RXRAT(  325 ) = RKI( 325 ) * YC(  ACROLEIN ) * YC(  NO3 )
      RXRAT(  326 ) = RKI( 326 ) * YC(  ACROLEIN )
      RXRAT(  327 ) = RKI( 327 ) * YC(  ACROLEIN ) * YC(  CL )
      RXRAT(  328 ) = RKI( 328 ) * YC(  TOLU ) * YC(  OH )
      RXRAT(  329 ) = RKI( 329 ) * YC(  TOLU ) * YC(  CL )
      RXRAT(  330 ) = RKI( 330 ) * YC(  MXYL ) * YC(  OH )
      RXRAT(  331 ) = RKI( 331 ) * YC(  MXYL ) * YC(  CL )
      RXRAT(  332 ) = RKI( 332 ) * YC(  OXYL ) * YC(  OH )
      RXRAT(  333 ) = RKI( 333 ) * YC(  OXYL ) * YC(  CL )
      RXRAT(  334 ) = RKI( 334 ) * YC(  PXYL ) * YC(  OH )
      RXRAT(  335 ) = RKI( 335 ) * YC(  PXYL ) * YC(  CL )
      RXRAT(  336 ) = RKI( 336 ) * YC(  APIN ) * YC(  O )
      RXRAT(  337 ) = RKI( 337 ) * YC(  APIN ) * YC(  OH )
      RXRAT(  338 ) = RKI( 338 ) * YC(  APIN ) * YC(  O3 )
      RXRAT(  339 ) = RKI( 339 ) * YC(  APIN ) * YC(  NO3 )
      RXRAT(  340 ) = RKI( 340 ) * YC(  APIN ) * YC(  CL )
      RXRAT(  341 ) = RKI( 341 ) * YC(  BPIN ) * YC(  O )
      RXRAT(  342 ) = RKI( 342 ) * YC(  BPIN ) * YC(  OH )
      RXRAT(  343 ) = RKI( 343 ) * YC(  BPIN ) * YC(  O3 )
      RXRAT(  344 ) = RKI( 344 ) * YC(  BPIN ) * YC(  NO3 )
      RXRAT(  345 ) = RKI( 345 ) * YC(  BPIN ) * YC(  CL )
      RXRAT(  346 ) = RKI( 346 ) * YC(  HG ) * YC(  O3 )
      RXRAT(  347 ) = RKI( 347 ) * YC(  HG ) * YC(  CL2 )
      RXRAT(  348 ) = RKI( 348 ) * YC(  HG ) * YC(  H2O2 )
      RXRAT(  349 ) = RKI( 349 ) * YC(  HG ) * YC(  OH )
      RXRAT(  350 ) = RKI( 350 ) * YC(  HG ) * YC(  CL )


      RETURN

      END
