
!------------------------------------------------------------------------!
!  The Community Multiscale Air Quality (CMAQ) system software is in     !
!  continuous development by various groups and is based on information  !
!  from these groups: Federal Government employees, contractors working  !
!  within a United States Government contract, and non-Federal sources   !
!  including research institutions.  These groups give the Government    !
!  permission to use, prepare derivative works of, and distribute copies !
!  of their work in the CMAQ system to the public and to permit others   !
!  to do so.  The United States Environmental Protection Agency          !
!  therefore grants similar permission to use the CMAQ system software,  !
!  but users are requested to provide copies of derivative works or      !
!  products designed to operate in the CMAQ system to the United States  !
!  Government without restrictions as to use by others.  Software        !
!  that is used with the CMAQ system but distributed under the GNU       !
!  General Public License or the GNU Lesser General Public License is    !
!  subject to their copyright restrictions.                              !
!------------------------------------------------------------------------!

C RCS file, release, date & time of last delta, author, state, [and locker]
C $Header$

C what(1) key, module and SID; SCCS file; date and time of last delta:
C %W% %P% %G% %U%

      SUBROUTINE HRRATES

C***********************************************************************
C
C  FUNCTION: To calculate rates of reactions
C
C  PRECONDITIONS: For the CB6R3 family of mechanisms
C
C  KEY SUBROUTINES/FUNCTIONS CALLED: None
C
C  REVISION HISTORY: Created by EBI solver program, May 25, 2016
C
C***********************************************************************
      USE HRDATA

      IMPLICIT NONE

C.....INCLUDES: NONE


C.....ARGUMENTS: NONE


C.....PARAMETERS: NONE


C.....EXTERNAL FUNCTIONS: NONE


C.....SAVED VARIABLES: NONE
!     CHARACTER( 16 ), SAVE  ::  PNAME = 'HRRATES'   ! Program name


C.....LOCAL VARIABLES: None

C***********************************************************************
C..NOTE: RXRAT commented out are not referenced by any routine
!     RXRAT(    1 ) = RKI(   1 ) * YC(  NO2 )
!     RXRAT(    2 ) = RKI(   2 ) * YC(  O )
!     RXRAT(    3 ) = RKI(   3 ) * YC(  O3 ) * YC(  NO )
!     RXRAT(    4 ) = RKI(   4 ) * YC(  O ) * YC(  NO )
!     RXRAT(    5 ) = RKI(   5 ) * YC(  O ) * YC(  NO2 )
      RXRAT(    6 ) = RKI(   6 ) * YC(  O ) * YC(  NO2 )
!     RXRAT(    7 ) = RKI(   7 ) * YC(  O ) * YC(  O3 )
      RXRAT(    8 ) = RKI(   8 ) * YC(  O3 )
      RXRAT(    9 ) = RKI(   9 ) * YC(  O3 )
!     RXRAT(   10 ) = RKI(  10 ) * YC(  O1D )
!     RXRAT(   11 ) = RKI(  11 ) * YC(  O1D )
!     RXRAT(   12 ) = RKI(  12 ) * YC(  O3 ) * YC(  OH )
!     RXRAT(   13 ) = RKI(  13 ) * YC(  O3 ) * YC(  HO2 )
!     RXRAT(   14 ) = RKI(  14 ) * YC(  OH ) * YC(  O )
!     RXRAT(   15 ) = RKI(  15 ) * YC(  HO2 ) * YC(  O )
      RXRAT(   16 ) = RKI(  16 ) * YC(  OH ) * YC(  OH )
      RXRAT(   17 ) = RKI(  17 ) * YC(  OH ) * YC(  OH )
!     RXRAT(   18 ) = RKI(  18 ) * YC(  OH ) * YC(  HO2 )
      RXRAT(   19 ) = RKI(  19 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   20 ) = RKI(  20 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   21 ) = RKI(  21 ) * YC(  H2O2 )
      RXRAT(   22 ) = RKI(  22 ) * YC(  H2O2 ) * YC(  OH )
      RXRAT(   23 ) = RKI(  23 ) * YC(  H2O2 ) * YC(  O )
!     RXRAT(   24 ) = RKI(  24 ) * YC(  NO ) * YC(  NO )
!     RXRAT(   25 ) = RKI(  25 ) * YC(  HO2 ) * YC(  NO )
      RXRAT(   26 ) = RKI(  26 ) * YC(  NO2 ) * YC(  O3 )
      RXRAT(   27 ) = RKI(  27 ) * YC(  NO3 )
      RXRAT(   28 ) = RKI(  28 ) * YC(  NO3 )
      RXRAT(   29 ) = RKI(  29 ) * YC(  NO3 ) * YC(  NO )
      RXRAT(   30 ) = RKI(  30 ) * YC(  NO3 ) * YC(  NO2 )
      RXRAT(   31 ) = RKI(  31 ) * YC(  NO3 ) * YC(  O )
      RXRAT(   32 ) = RKI(  32 ) * YC(  NO3 ) * YC(  OH )
      RXRAT(   33 ) = RKI(  33 ) * YC(  NO3 ) * YC(  HO2 )
      RXRAT(   34 ) = RKI(  34 ) * YC(  NO3 ) * YC(  O3 )
      RXRAT(   35 ) = RKI(  35 ) * YC(  NO3 ) * YC(  NO3 )
!     RXRAT(   36 ) = RKI(  36 ) * YC(  NO3 ) * YC(  NO2 )
      RXRAT(   37 ) = RKI(  37 ) * YC(  N2O5 )
      RXRAT(   38 ) = RKI(  38 ) * YC(  N2O5 )
      RXRAT(   39 ) = RKI(  39 ) * YC(  N2O5 )
!     RXRAT(   40 ) = RKI(  40 ) * YC(  NO ) * YC(  OH )
      RXRAT(   41 ) = RKI(  41 ) * YC(  NO ) * YC(  NO2 )
      RXRAT(   42 ) = RKI(  42 ) * YC(  HONO ) * YC(  HONO )
      RXRAT(   43 ) = RKI(  43 ) * YC(  HONO )
      RXRAT(   44 ) = RKI(  44 ) * YC(  HONO ) * YC(  OH )
      RXRAT(   45 ) = RKI(  45 ) * YC(  NO2 ) * YC(  OH )
      RXRAT(   46 ) = RKI(  46 ) * YC(  HNO3 ) * YC(  OH )
      RXRAT(   47 ) = RKI(  47 ) * YC(  HNO3 )
!     RXRAT(   48 ) = RKI(  48 ) * YC(  HO2 ) * YC(  NO2 )
      RXRAT(   49 ) = RKI(  49 ) * YC(  PNA )
      RXRAT(   50 ) = RKI(  50 ) * YC(  PNA )
      RXRAT(   51 ) = RKI(  51 ) * YC(  PNA ) * YC(  OH )
      RXRAT(   52 ) = RKI(  52 ) * YC(  SO2 ) * YC(  OH )
      RXRAT(   53 ) = RKI(  53 ) * YC(  C2O3 ) * YC(  NO )
!     RXRAT(   54 ) = RKI(  54 ) * YC(  C2O3 ) * YC(  NO2 )
      RXRAT(   55 ) = RKI(  55 ) * YC(  PAN )
      RXRAT(   56 ) = RKI(  56 ) * YC(  PAN )
      RXRAT(   57 ) = RKI(  57 ) * YC(  C2O3 ) * YC(  HO2 )
      RXRAT(   58 ) = RKI(  58 ) * YC(  C2O3 ) * YC(  RO2 )
      RXRAT(   59 ) = RKI(  59 ) * YC(  C2O3 ) * YC(  C2O3 )
      RXRAT(   60 ) = RKI(  60 ) * YC(  C2O3 ) * YC(  CXO3 )
      RXRAT(   61 ) = RKI(  61 ) * YC(  CXO3 ) * YC(  NO )
      RXRAT(   62 ) = RKI(  62 ) * YC(  CXO3 ) * YC(  NO2 )
      RXRAT(   63 ) = RKI(  63 ) * YC(  PANX )
      RXRAT(   64 ) = RKI(  64 ) * YC(  PANX )
      RXRAT(   65 ) = RKI(  65 ) * YC(  CXO3 ) * YC(  HO2 )
      RXRAT(   66 ) = RKI(  66 ) * YC(  CXO3 ) * YC(  RO2 )
      RXRAT(   67 ) = RKI(  67 ) * YC(  CXO3 ) * YC(  CXO3 )
      RXRAT(   68 ) = RKI(  68 ) * YC(  RO2 ) * YC(  NO )
      RXRAT(   69 ) = RKI(  69 ) * YC(  RO2 ) * YC(  HO2 )
      RXRAT(   70 ) = RKI(  70 ) * YC(  RO2 ) * YC(  RO2 )
      RXRAT(   71 ) = RKI(  71 ) * YC(  MEO2 ) * YC(  NO )
      RXRAT(   72 ) = RKI(  72 ) * YC(  MEO2 ) * YC(  HO2 )
      RXRAT(   73 ) = RKI(  73 ) * YC(  MEO2 ) * YC(  C2O3 )
      RXRAT(   74 ) = RKI(  74 ) * YC(  MEO2 ) * YC(  RO2 )
      RXRAT(   75 ) = RKI(  75 ) * YC(  XO2H ) * YC(  NO )
      RXRAT(   76 ) = RKI(  76 ) * YC(  XO2H ) * YC(  HO2 )
      RXRAT(   77 ) = RKI(  77 ) * YC(  XO2H ) * YC(  C2O3 )
      RXRAT(   78 ) = RKI(  78 ) * YC(  XO2H ) * YC(  RO2 )
      RXRAT(   79 ) = RKI(  79 ) * YC(  XO2 ) * YC(  NO )
      RXRAT(   80 ) = RKI(  80 ) * YC(  XO2 ) * YC(  HO2 )
      RXRAT(   81 ) = RKI(  81 ) * YC(  XO2 ) * YC(  C2O3 )
      RXRAT(   82 ) = RKI(  82 ) * YC(  XO2 ) * YC(  RO2 )
      RXRAT(   83 ) = RKI(  83 ) * YC(  XO2N ) * YC(  NO )
      RXRAT(   84 ) = RKI(  84 ) * YC(  XO2N ) * YC(  HO2 )
      RXRAT(   85 ) = RKI(  85 ) * YC(  XO2N ) * YC(  C2O3 )
      RXRAT(   86 ) = RKI(  86 ) * YC(  XO2N ) * YC(  RO2 )
      RXRAT(   87 ) = RKI(  87 ) * YC(  MEPX ) * YC(  OH )
      RXRAT(   88 ) = RKI(  88 ) * YC(  MEPX )
      RXRAT(   89 ) = RKI(  89 ) * YC(  ROOH ) * YC(  OH )
      RXRAT(   90 ) = RKI(  90 ) * YC(  ROOH )
      RXRAT(   91 ) = RKI(  91 ) * YC(  NTR1 ) * YC(  OH )
      RXRAT(   92 ) = RKI(  92 ) * YC(  NTR1 )
      RXRAT(   93 ) = RKI(  93 ) * YC(  FACD ) * YC(  OH )
      RXRAT(   94 ) = RKI(  94 ) * YC(  AACD ) * YC(  OH )
      RXRAT(   95 ) = RKI(  95 ) * YC(  PACD ) * YC(  OH )
      RXRAT(   96 ) = RKI(  96 ) * YC(  FORM ) * YC(  OH )
      RXRAT(   97 ) = RKI(  97 ) * YC(  FORM )
      RXRAT(   98 ) = RKI(  98 ) * YC(  FORM )
      RXRAT(   99 ) = RKI(  99 ) * YC(  FORM ) * YC(  O )
      RXRAT(  100 ) = RKI( 100 ) * YC(  FORM ) * YC(  NO3 )
      RXRAT(  101 ) = RKI( 101 ) * YC(  FORM ) * YC(  HO2 )
      RXRAT(  102 ) = RKI( 102 ) * YC(  HCO3 )
      RXRAT(  103 ) = RKI( 103 ) * YC(  HCO3 ) * YC(  NO )
      RXRAT(  104 ) = RKI( 104 ) * YC(  HCO3 ) * YC(  HO2 )
      RXRAT(  105 ) = RKI( 105 ) * YC(  ALD2 ) * YC(  O )
      RXRAT(  106 ) = RKI( 106 ) * YC(  ALD2 ) * YC(  OH )
      RXRAT(  107 ) = RKI( 107 ) * YC(  ALD2 ) * YC(  NO3 )
      RXRAT(  108 ) = RKI( 108 ) * YC(  ALD2 )
      RXRAT(  109 ) = RKI( 109 ) * YC(  ALDX ) * YC(  O )
      RXRAT(  110 ) = RKI( 110 ) * YC(  ALDX ) * YC(  OH )
      RXRAT(  111 ) = RKI( 111 ) * YC(  ALDX ) * YC(  NO3 )
      RXRAT(  112 ) = RKI( 112 ) * YC(  ALDX )
      RXRAT(  113 ) = RKI( 113 ) * YC(  GLYD ) * YC(  OH )
      RXRAT(  114 ) = RKI( 114 ) * YC(  GLYD )
      RXRAT(  115 ) = RKI( 115 ) * YC(  GLYD ) * YC(  NO3 )
      RXRAT(  116 ) = RKI( 116 ) * YC(  GLY ) * YC(  OH )
      RXRAT(  117 ) = RKI( 117 ) * YC(  GLY )
      RXRAT(  118 ) = RKI( 118 ) * YC(  GLY ) * YC(  NO3 )
      RXRAT(  119 ) = RKI( 119 ) * YC(  MGLY )
      RXRAT(  120 ) = RKI( 120 ) * YC(  MGLY ) * YC(  NO3 )
      RXRAT(  121 ) = RKI( 121 ) * YC(  MGLY ) * YC(  OH )
!     RXRAT(  122 ) = RKI( 122 ) * YC(  OH )
      RXRAT(  123 ) = RKI( 123 ) * YC(  CO ) * YC(  OH )
      RXRAT(  124 ) = RKI( 124 ) * YC(  OH )
      RXRAT(  125 ) = RKI( 125 ) * YC(  ETHA ) * YC(  OH )
      RXRAT(  126 ) = RKI( 126 ) * YC(  MEOH ) * YC(  OH )
      RXRAT(  127 ) = RKI( 127 ) * YC(  ETOH ) * YC(  OH )
      RXRAT(  128 ) = RKI( 128 ) * YC(  KET )
      RXRAT(  129 ) = RKI( 129 ) * YC(  ACET )
      RXRAT(  130 ) = RKI( 130 ) * YC(  ACET ) * YC(  OH )
      RXRAT(  131 ) = RKI( 131 ) * YC(  PRPA ) * YC(  OH )
      RXRAT(  132 ) = RKI( 132 ) * YC(  PAR ) * YC(  OH )
      RXRAT(  133 ) = RKI( 133 ) * YC(  ROR )
      RXRAT(  134 ) = RKI( 134 ) * YC(  ROR )
      RXRAT(  135 ) = RKI( 135 ) * YC(  ROR ) * YC(  NO2 )
      RXRAT(  136 ) = RKI( 136 ) * YC(  ETHY ) * YC(  OH )
      RXRAT(  137 ) = RKI( 137 ) * YC(  ETH ) * YC(  O )
      RXRAT(  138 ) = RKI( 138 ) * YC(  ETH ) * YC(  OH )
      RXRAT(  139 ) = RKI( 139 ) * YC(  ETH ) * YC(  O3 )
      RXRAT(  140 ) = RKI( 140 ) * YC(  ETH ) * YC(  NO3 )
      RXRAT(  141 ) = RKI( 141 ) * YC(  OLE ) * YC(  O )
      RXRAT(  142 ) = RKI( 142 ) * YC(  OLE ) * YC(  OH )
      RXRAT(  143 ) = RKI( 143 ) * YC(  OLE ) * YC(  O3 )
      RXRAT(  144 ) = RKI( 144 ) * YC(  OLE ) * YC(  NO3 )
      RXRAT(  145 ) = RKI( 145 ) * YC(  IOLE ) * YC(  O )
      RXRAT(  146 ) = RKI( 146 ) * YC(  IOLE ) * YC(  OH )
      RXRAT(  147 ) = RKI( 147 ) * YC(  IOLE ) * YC(  O3 )
      RXRAT(  148 ) = RKI( 148 ) * YC(  IOLE ) * YC(  NO3 )
      RXRAT(  149 ) = RKI( 149 ) * YC(  ISOP ) * YC(  OH )
      RXRAT(  150 ) = RKI( 150 ) * YC(  ISOP ) * YC(  O )
      RXRAT(  151 ) = RKI( 151 ) * YC(  ISO2 ) * YC(  NO )
      RXRAT(  152 ) = RKI( 152 ) * YC(  ISO2 ) * YC(  HO2 )
      RXRAT(  153 ) = RKI( 153 ) * YC(  ISO2 ) * YC(  C2O3 )
      RXRAT(  154 ) = RKI( 154 ) * YC(  ISO2 ) * YC(  RO2 )
      RXRAT(  155 ) = RKI( 155 ) * YC(  ISO2 )
      RXRAT(  156 ) = RKI( 156 ) * YC(  ISOP ) * YC(  O3 )
      RXRAT(  157 ) = RKI( 157 ) * YC(  ISOP ) * YC(  NO3 )
      RXRAT(  158 ) = RKI( 158 ) * YC(  ISPD ) * YC(  OH )
      RXRAT(  159 ) = RKI( 159 ) * YC(  ISPD ) * YC(  O3 )
      RXRAT(  160 ) = RKI( 160 ) * YC(  ISPD ) * YC(  NO3 )
      RXRAT(  161 ) = RKI( 161 ) * YC(  ISPD )
      RXRAT(  162 ) = RKI( 162 ) * YC(  ISPX ) * YC(  OH )
      RXRAT(  163 ) = RKI( 163 ) * YC(  HPLD )
      RXRAT(  164 ) = RKI( 164 ) * YC(  HPLD ) * YC(  NO3 )
      RXRAT(  165 ) = RKI( 165 ) * YC(  EPOX ) * YC(  OH )
      RXRAT(  166 ) = RKI( 166 ) * YC(  EPX2 ) * YC(  HO2 )
      RXRAT(  167 ) = RKI( 167 ) * YC(  EPX2 ) * YC(  NO )
      RXRAT(  168 ) = RKI( 168 ) * YC(  EPX2 ) * YC(  C2O3 )
      RXRAT(  169 ) = RKI( 169 ) * YC(  EPX2 ) * YC(  RO2 )
      RXRAT(  170 ) = RKI( 170 ) * YC(  INTR ) * YC(  OH )
      RXRAT(  171 ) = RKI( 171 ) * YC(  TERP ) * YC(  O )
      RXRAT(  172 ) = RKI( 172 ) * YC(  TERP ) * YC(  OH )
      RXRAT(  173 ) = RKI( 173 ) * YC(  TERP ) * YC(  O3 )
      RXRAT(  174 ) = RKI( 174 ) * YC(  TERP ) * YC(  NO3 )
      RXRAT(  175 ) = RKI( 175 ) * YC(  BENZENE ) * YC(  OH )
      RXRAT(  176 ) = RKI( 176 ) * YC(  BZO2 ) * YC(  NO )
      RXRAT(  177 ) = RKI( 177 ) * YC(  BZO2 ) * YC(  C2O3 )
      RXRAT(  178 ) = RKI( 178 ) * YC(  BZO2 ) * YC(  HO2 )
      RXRAT(  179 ) = RKI( 179 ) * YC(  BZO2 ) * YC(  RO2 )
      RXRAT(  180 ) = RKI( 180 ) * YC(  TOL ) * YC(  OH )
      RXRAT(  181 ) = RKI( 181 ) * YC(  TO2 ) * YC(  NO )
      RXRAT(  182 ) = RKI( 182 ) * YC(  TO2 ) * YC(  C2O3 )
      RXRAT(  183 ) = RKI( 183 ) * YC(  TO2 ) * YC(  HO2 )
      RXRAT(  184 ) = RKI( 184 ) * YC(  TO2 ) * YC(  RO2 )
      RXRAT(  185 ) = RKI( 185 ) * YC(  XYLMN ) * YC(  OH )
      RXRAT(  186 ) = RKI( 186 ) * YC(  NAPH ) * YC(  OH )
      RXRAT(  187 ) = RKI( 187 ) * YC(  XLO2 ) * YC(  NO )
      RXRAT(  188 ) = RKI( 188 ) * YC(  XLO2 ) * YC(  HO2 )
      RXRAT(  189 ) = RKI( 189 ) * YC(  XLO2 ) * YC(  C2O3 )
      RXRAT(  190 ) = RKI( 190 ) * YC(  XLO2 ) * YC(  RO2 )
      RXRAT(  191 ) = RKI( 191 ) * YC(  CRES ) * YC(  OH )
      RXRAT(  192 ) = RKI( 192 ) * YC(  CRES ) * YC(  NO3 )
      RXRAT(  193 ) = RKI( 193 ) * YC(  CRO ) * YC(  NO2 )
      RXRAT(  194 ) = RKI( 194 ) * YC(  CRO ) * YC(  HO2 )
      RXRAT(  195 ) = RKI( 195 ) * YC(  CRON ) * YC(  OH )
      RXRAT(  196 ) = RKI( 196 ) * YC(  CRON ) * YC(  NO3 )
      RXRAT(  197 ) = RKI( 197 ) * YC(  CRON )
      RXRAT(  198 ) = RKI( 198 ) * YC(  XOPN )
      RXRAT(  199 ) = RKI( 199 ) * YC(  XOPN ) * YC(  OH )
      RXRAT(  200 ) = RKI( 200 ) * YC(  XOPN ) * YC(  O3 )
      RXRAT(  201 ) = RKI( 201 ) * YC(  XOPN ) * YC(  NO3 )
      RXRAT(  202 ) = RKI( 202 ) * YC(  OPEN )
      RXRAT(  203 ) = RKI( 203 ) * YC(  OPEN ) * YC(  OH )
      RXRAT(  204 ) = RKI( 204 ) * YC(  OPEN ) * YC(  O3 )
      RXRAT(  205 ) = RKI( 205 ) * YC(  OPEN ) * YC(  NO3 )
      RXRAT(  206 ) = RKI( 206 ) * YC(  CAT1 ) * YC(  OH )
      RXRAT(  207 ) = RKI( 207 ) * YC(  CAT1 ) * YC(  NO3 )
      RXRAT(  208 ) = RKI( 208 ) * YC(  OPO3 ) * YC(  NO )
      RXRAT(  209 ) = RKI( 209 ) * YC(  OPO3 ) * YC(  NO2 )
      RXRAT(  210 ) = RKI( 210 ) * YC(  OPAN )
      RXRAT(  211 ) = RKI( 211 ) * YC(  OPO3 ) * YC(  HO2 )
      RXRAT(  212 ) = RKI( 212 ) * YC(  OPO3 ) * YC(  C2O3 )
      RXRAT(  213 ) = RKI( 213 ) * YC(  OPO3 ) * YC(  RO2 )
      RXRAT(  214 ) = RKI( 214 ) * YC(  OPAN ) * YC(  OH )
      RXRAT(  215 ) = RKI( 215 ) * YC(  PANX ) * YC(  OH )
      RXRAT(  216 ) = RKI( 216 ) * YC(  ECH4 ) * YC(  OH )
      RXRAT(  217 ) = RKI( 217 ) * YC(  XPRP )
      RXRAT(  218 ) = RKI( 218 ) * YC(  XPRP )
      RXRAT(  219 ) = RKI( 219 ) * YC(  XPAR )
      RXRAT(  220 ) = RKI( 220 ) * YC(  XPAR )
      RXRAT(  221 ) = RKI( 221 ) * YC(  CL2 )
      RXRAT(  222 ) = RKI( 222 ) * YC(  HOCL )
      RXRAT(  223 ) = RKI( 223 ) * YC(  CL ) * YC(  O3 )
      RXRAT(  224 ) = RKI( 224 ) * YC(  CLO ) * YC(  CLO )
      RXRAT(  225 ) = RKI( 225 ) * YC(  CLO ) * YC(  NO )
      RXRAT(  226 ) = RKI( 226 ) * YC(  CLO ) * YC(  HO2 )
      RXRAT(  227 ) = RKI( 227 ) * YC(  OH ) * YC(  FMCL )
      RXRAT(  228 ) = RKI( 228 ) * YC(  FMCL )
      RXRAT(  229 ) = RKI( 229 ) * YC(  CL )
      RXRAT(  230 ) = RKI( 230 ) * YC(  CL ) * YC(  PAR )
      RXRAT(  231 ) = RKI( 231 ) * YC(  CL ) * YC(  ETHA )
      RXRAT(  232 ) = RKI( 232 ) * YC(  CL ) * YC(  ETH )
      RXRAT(  233 ) = RKI( 233 ) * YC(  CL ) * YC(  OLE )
      RXRAT(  234 ) = RKI( 234 ) * YC(  CL ) * YC(  IOLE )
      RXRAT(  235 ) = RKI( 235 ) * YC(  CL ) * YC(  ISOP )
      RXRAT(  236 ) = RKI( 236 ) * YC(  CL ) * YC(  FORM )
      RXRAT(  237 ) = RKI( 237 ) * YC(  CL ) * YC(  ALD2 )
      RXRAT(  238 ) = RKI( 238 ) * YC(  CL ) * YC(  ALDX )
      RXRAT(  239 ) = RKI( 239 ) * YC(  CL ) * YC(  MEOH )
      RXRAT(  240 ) = RKI( 240 ) * YC(  CL ) * YC(  ETOH )
      RXRAT(  241 ) = RKI( 241 ) * YC(  HCL ) * YC(  OH )
      RXRAT(  242 ) = RKI( 242 ) * YC(  CL ) * YC(  TOL )
      RXRAT(  243 ) = RKI( 243 ) * YC(  CL ) * YC(  XYLMN )
      RXRAT(  244 ) = RKI( 244 ) * YC(  CL ) * YC(  NAPH )
      RXRAT(  245 ) = RKI( 245 ) * YC(  CLO ) * YC(  NO2 )
      RXRAT(  246 ) = RKI( 246 ) * YC(  CLNO2 )
      RXRAT(  247 ) = RKI( 247 ) * YC(  TOLRO2 ) * YC(  NO )
      RXRAT(  248 ) = RKI( 248 ) * YC(  TOLRO2 ) * YC(  HO2 )
      RXRAT(  249 ) = RKI( 249 ) * YC(  XYLRO2 ) * YC(  NO )
      RXRAT(  250 ) = RKI( 250 ) * YC(  XYLRO2 ) * YC(  HO2 )
      RXRAT(  251 ) = RKI( 251 ) * YC(  BENZRO2 ) * YC(  NO )
      RXRAT(  252 ) = RKI( 252 ) * YC(  BENZRO2 ) * YC(  HO2 )
      RXRAT(  253 ) = RKI( 253 ) * YC(  SESQ ) * YC(  O3 )
      RXRAT(  254 ) = RKI( 254 ) * YC(  SESQ ) * YC(  OH )
      RXRAT(  255 ) = RKI( 255 ) * YC(  SESQ ) * YC(  NO3 )
      RXRAT(  256 ) = RKI( 256 ) * YC(  PAHRO2 ) * YC(  NO )
      RXRAT(  257 ) = RKI( 257 ) * YC(  PAHRO2 ) * YC(  HO2 )
      RXRAT(  258 ) = RKI( 258 ) * YC(  SOAALK ) * YC(  OH )
      RXRAT(  259 ) = RKI( 259 ) * YC(  NTR2 )
      RXRAT(  260 ) = RKI( 260 ) * YC(  N2O5 )
      RXRAT(  261 ) = RKI( 261 ) * YC(  N2O5 )
      RXRAT(  262 ) = RKI( 262 ) * YC(  H2NO3PIJ )
      RXRAT(  263 ) = RKI( 263 ) * YC(  H2NO3PK )
      RXRAT(  264 ) = RKI( 264 ) * YC(  H2NO3PIJ ) * YC(  ACLI )
      RXRAT(  265 ) = RKI( 265 ) * YC(  H2NO3PIJ ) * YC(  ACLJ )
      RXRAT(  266 ) = RKI( 266 ) * YC(  H2NO3PK ) * YC(  ACLK )
      RXRAT(  267 ) = RKI( 267 ) * YC(  NO2 )
!     RXRAT(  268 ) = RKI( 268 ) * YC(  O3 )
      RXRAT(  269 ) = RKI( 269 ) * YC(  EPOX )
      RXRAT(  270 ) = RKI( 270 ) * YC(  GLY )
      RXRAT(  271 ) = RKI( 271 ) * YC(  MGLY )
      RXRAT(  272 ) = RKI( 272 ) * YC(  AXYL1J )
      RXRAT(  273 ) = RKI( 273 ) * YC(  AXYL2J )
      RXRAT(  274 ) = RKI( 274 ) * YC(  ATOL1J )
      RXRAT(  275 ) = RKI( 275 ) * YC(  ATOL2J )
      RXRAT(  276 ) = RKI( 276 ) * YC(  ABNZ1J )
      RXRAT(  277 ) = RKI( 277 ) * YC(  ABNZ2J )
      RXRAT(  278 ) = RKI( 278 ) * YC(  ATRP1J )
      RXRAT(  279 ) = RKI( 279 ) * YC(  ATRP2J )
      RXRAT(  280 ) = RKI( 280 ) * YC(  AISO1J )
      RXRAT(  281 ) = RKI( 281 ) * YC(  AISO2J )
      RXRAT(  282 ) = RKI( 282 ) * YC(  ASQTJ )
      RXRAT(  283 ) = RKI( 283 ) * YC(  APAH1J )
      RXRAT(  284 ) = RKI( 284 ) * YC(  APAH2J )
      RXRAT(  285 ) = RKI( 285 ) * YC(  AALK1J )
      RXRAT(  286 ) = RKI( 286 ) * YC(  AALK2J )
      RXRAT(  287 ) = RKI( 287 ) * YC(  APOCI ) * YC(  OH )
      RXRAT(  288 ) = RKI( 288 ) * YC(  APNCOMI ) * YC(  OH )
      RXRAT(  289 ) = RKI( 289 ) * YC(  APOCJ ) * YC(  OH )
      RXRAT(  290 ) = RKI( 290 ) * YC(  APNCOMJ ) * YC(  OH )


      RETURN

      END
