
!------------------------------------------------------------------------!
!  The Community Multiscale Air Quality (CMAQ) system software is in     !
!  continuous development by various groups and is based on information  !
!  from these groups: Federal Government employees, contractors working  !
!  within a United States Government contract, and non-Federal sources   !
!  including research institutions.  These groups give the Government    !
!  permission to use, prepare derivative works of, and distribute copies !
!  of their work in the CMAQ system to the public and to permit others   !
!  to do so.  The United States Environmental Protection Agency          !
!  therefore grants similar permission to use the CMAQ system software,  !
!  but users are requested to provide copies of derivative works or      !
!  products designed to operate in the CMAQ system to the United States  !
!  Government without restrictions as to use by others.  Software        !
!  that is used with the CMAQ system but distributed under the GNU       !
!  General Public License or the GNU Lesser General Public License is    !
!  subject to their copyright restrictions.                              !
!------------------------------------------------------------------------!

C RCS file, release, date & time of last delta, author, state, [and locker]
C $Header$

C what(1) key, module and SID; SCCS file; date and time of last delta:
C %W% %P% %G% %U%

      SUBROUTINE HRRATES

C***********************************************************************
C
C  FUNCTION: To calculate rates of reactions
C
C  PRECONDITIONS: For the SAPRC07TB family of mechanisms
C
C  KEY SUBROUTINES/FUNCTIONS CALLED: None
C
C  REVISION HISTORY: Created by EBI solver program, May 25, 2016
C
C***********************************************************************
      USE HRDATA

      IMPLICIT NONE

C.....INCLUDES: NONE


C.....ARGUMENTS: NONE


C.....PARAMETERS: NONE


C.....EXTERNAL FUNCTIONS: NONE


C.....SAVED VARIABLES: NONE
!     CHARACTER( 16 ), SAVE  ::  PNAME = 'HRRATES'   ! Program name


C.....LOCAL VARIABLES: None

C***********************************************************************
C..NOTE: RXRAT commented out are not referenced by any routine
!     RXRAT(    1 ) = RKI(   1 ) * YC(  NO2 )
!     RXRAT(    2 ) = RKI(   2 ) * YC(  O3P )
!     RXRAT(    3 ) = RKI(   3 ) * YC(  O3P ) * YC(  O3 )
!     RXRAT(    4 ) = RKI(   4 ) * YC(  O3P ) * YC(  NO )
!     RXRAT(    5 ) = RKI(   5 ) * YC(  O3P ) * YC(  NO2 )
      RXRAT(    6 ) = RKI(   6 ) * YC(  O3P ) * YC(  NO2 )
!     RXRAT(    7 ) = RKI(   7 ) * YC(  O3 ) * YC(  NO )
      RXRAT(    8 ) = RKI(   8 ) * YC(  O3 ) * YC(  NO2 )
      RXRAT(    9 ) = RKI(   9 ) * YC(  NO ) * YC(  NO3 )
!     RXRAT(   10 ) = RKI(  10 ) * YC(  NO ) * YC(  NO )
!     RXRAT(   11 ) = RKI(  11 ) * YC(  NO2 ) * YC(  NO3 )
      RXRAT(   12 ) = RKI(  12 ) * YC(  N2O5 )
      RXRAT(   13 ) = RKI(  13 ) * YC(  N2O5 )
      RXRAT(   14 ) = RKI(  14 ) * YC(  N2O5 )
      RXRAT(   15 ) = RKI(  15 ) * YC(  NO2 ) * YC(  NO3 )
      RXRAT(   16 ) = RKI(  16 ) * YC(  NO3 )
      RXRAT(   17 ) = RKI(  17 ) * YC(  NO3 )
      RXRAT(   18 ) = RKI(  18 ) * YC(  O3 )
      RXRAT(   19 ) = RKI(  19 ) * YC(  O3 )
!     RXRAT(   20 ) = RKI(  20 ) * YC(  O1D )
!     RXRAT(   21 ) = RKI(  21 ) * YC(  O1D )
!     RXRAT(   22 ) = RKI(  22 ) * YC(  OH ) * YC(  NO )
      RXRAT(   23 ) = RKI(  23 ) * YC(  HONO )
      RXRAT(   24 ) = RKI(  24 ) * YC(  OH ) * YC(  HONO )
      RXRAT(   25 ) = RKI(  25 ) * YC(  OH ) * YC(  NO2 )
      RXRAT(   26 ) = RKI(  26 ) * YC(  OH ) * YC(  NO3 )
      RXRAT(   27 ) = RKI(  27 ) * YC(  OH ) * YC(  HNO3 )
      RXRAT(   28 ) = RKI(  28 ) * YC(  HNO3 )
      RXRAT(   29 ) = RKI(  29 ) * YC(  OH ) * YC(  CO )
!     RXRAT(   30 ) = RKI(  30 ) * YC(  OH ) * YC(  O3 )
!     RXRAT(   31 ) = RKI(  31 ) * YC(  HO2 ) * YC(  NO )
!     RXRAT(   32 ) = RKI(  32 ) * YC(  HO2 ) * YC(  NO2 )
      RXRAT(   33 ) = RKI(  33 ) * YC(  HNO4 )
      RXRAT(   34 ) = RKI(  34 ) * YC(  HNO4 )
      RXRAT(   35 ) = RKI(  35 ) * YC(  HNO4 ) * YC(  OH )
!     RXRAT(   36 ) = RKI(  36 ) * YC(  HO2 ) * YC(  O3 )
      RXRAT(   37 ) = RKI(  37 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   38 ) = RKI(  38 ) * YC(  HO2 ) * YC(  HO2 )
      RXRAT(   39 ) = RKI(  39 ) * YC(  NO3 ) * YC(  HO2 )
      RXRAT(   40 ) = RKI(  40 ) * YC(  NO3 ) * YC(  NO3 )
      RXRAT(   41 ) = RKI(  41 ) * YC(  HO2H )
      RXRAT(   42 ) = RKI(  42 ) * YC(  HO2H ) * YC(  OH )
!     RXRAT(   43 ) = RKI(  43 ) * YC(  OH ) * YC(  HO2 )
      RXRAT(   44 ) = RKI(  44 ) * YC(  OH ) * YC(  SO2 )
!     RXRAT(   45 ) = RKI(  45 ) * YC(  OH )
      RXRAT(   46 ) = RKI(  46 ) * YC(  MEO2 ) * YC(  NO )
      RXRAT(   47 ) = RKI(  47 ) * YC(  MEO2 ) * YC(  HO2 )
      RXRAT(   48 ) = RKI(  48 ) * YC(  MEO2 ) * YC(  HO2 )
      RXRAT(   49 ) = RKI(  49 ) * YC(  MEO2 ) * YC(  NO3 )
      RXRAT(   50 ) = RKI(  50 ) * YC(  MEO2 ) * YC(  MEO2 )
      RXRAT(   51 ) = RKI(  51 ) * YC(  MEO2 ) * YC(  MEO2 )
      RXRAT(   52 ) = RKI(  52 ) * YC(  RO2C ) * YC(  NO )
      RXRAT(   53 ) = RKI(  53 ) * YC(  RO2C ) * YC(  HO2 )
      RXRAT(   54 ) = RKI(  54 ) * YC(  RO2C ) * YC(  NO3 )
      RXRAT(   55 ) = RKI(  55 ) * YC(  RO2C ) * YC(  MEO2 )
      RXRAT(   56 ) = RKI(  56 ) * YC(  RO2C ) * YC(  RO2C )
      RXRAT(   57 ) = RKI(  57 ) * YC(  RO2XC ) * YC(  NO )
      RXRAT(   58 ) = RKI(  58 ) * YC(  RO2XC ) * YC(  HO2 )
      RXRAT(   59 ) = RKI(  59 ) * YC(  RO2XC ) * YC(  NO3 )
      RXRAT(   60 ) = RKI(  60 ) * YC(  RO2XC ) * YC(  MEO2 )
      RXRAT(   61 ) = RKI(  61 ) * YC(  RO2XC ) * YC(  RO2C )
      RXRAT(   62 ) = RKI(  62 ) * YC(  RO2XC ) * YC(  RO2XC )
!     RXRAT(   63 ) = RKI(  63 ) * YC(  MECO3 ) * YC(  NO2 )
      RXRAT(   64 ) = RKI(  64 ) * YC(  PAN )
      RXRAT(   65 ) = RKI(  65 ) * YC(  PAN )
      RXRAT(   66 ) = RKI(  66 ) * YC(  MECO3 ) * YC(  NO )
      RXRAT(   67 ) = RKI(  67 ) * YC(  MECO3 ) * YC(  HO2 )
      RXRAT(   68 ) = RKI(  68 ) * YC(  MECO3 ) * YC(  NO3 )
      RXRAT(   69 ) = RKI(  69 ) * YC(  MECO3 ) * YC(  MEO2 )
      RXRAT(   70 ) = RKI(  70 ) * YC(  MECO3 ) * YC(  RO2C )
      RXRAT(   71 ) = RKI(  71 ) * YC(  MECO3 ) * YC(  RO2XC )
      RXRAT(   72 ) = RKI(  72 ) * YC(  MECO3 ) * YC(  MECO3 )
      RXRAT(   73 ) = RKI(  73 ) * YC(  RCO3 ) * YC(  NO2 )
      RXRAT(   74 ) = RKI(  74 ) * YC(  PAN2 )
      RXRAT(   75 ) = RKI(  75 ) * YC(  PAN2 )
      RXRAT(   76 ) = RKI(  76 ) * YC(  RCO3 ) * YC(  NO )
      RXRAT(   77 ) = RKI(  77 ) * YC(  RCO3 ) * YC(  HO2 )
      RXRAT(   78 ) = RKI(  78 ) * YC(  RCO3 ) * YC(  NO3 )
      RXRAT(   79 ) = RKI(  79 ) * YC(  RCO3 ) * YC(  MEO2 )
      RXRAT(   80 ) = RKI(  80 ) * YC(  RCO3 ) * YC(  RO2C )
      RXRAT(   81 ) = RKI(  81 ) * YC(  RCO3 ) * YC(  RO2XC )
      RXRAT(   82 ) = RKI(  82 ) * YC(  RCO3 ) * YC(  MECO3 )
      RXRAT(   83 ) = RKI(  83 ) * YC(  RCO3 ) * YC(  RCO3 )
      RXRAT(   84 ) = RKI(  84 ) * YC(  BZCO3 ) * YC(  NO2 )
      RXRAT(   85 ) = RKI(  85 ) * YC(  PBZN )
      RXRAT(   86 ) = RKI(  86 ) * YC(  PBZN )
      RXRAT(   87 ) = RKI(  87 ) * YC(  BZCO3 ) * YC(  NO )
      RXRAT(   88 ) = RKI(  88 ) * YC(  BZCO3 ) * YC(  HO2 )
      RXRAT(   89 ) = RKI(  89 ) * YC(  BZCO3 ) * YC(  NO3 )
      RXRAT(   90 ) = RKI(  90 ) * YC(  BZCO3 ) * YC(  MEO2 )
      RXRAT(   91 ) = RKI(  91 ) * YC(  BZCO3 ) * YC(  RO2C )
      RXRAT(   92 ) = RKI(  92 ) * YC(  BZCO3 ) * YC(  RO2XC )
      RXRAT(   93 ) = RKI(  93 ) * YC(  BZCO3 ) * YC(  MECO3 )
      RXRAT(   94 ) = RKI(  94 ) * YC(  BZCO3 ) * YC(  RCO3 )
      RXRAT(   95 ) = RKI(  95 ) * YC(  BZCO3 ) * YC(  BZCO3 )
      RXRAT(   96 ) = RKI(  96 ) * YC(  MACO3 ) * YC(  NO2 )
      RXRAT(   97 ) = RKI(  97 ) * YC(  MAPAN )
      RXRAT(   98 ) = RKI(  98 ) * YC(  MAPAN )
      RXRAT(   99 ) = RKI(  99 ) * YC(  MACO3 ) * YC(  NO )
      RXRAT(  100 ) = RKI( 100 ) * YC(  MACO3 ) * YC(  HO2 )
      RXRAT(  101 ) = RKI( 101 ) * YC(  MACO3 ) * YC(  NO3 )
      RXRAT(  102 ) = RKI( 102 ) * YC(  MACO3 ) * YC(  MEO2 )
      RXRAT(  103 ) = RKI( 103 ) * YC(  MACO3 ) * YC(  RO2C )
      RXRAT(  104 ) = RKI( 104 ) * YC(  MACO3 ) * YC(  RO2XC )
      RXRAT(  105 ) = RKI( 105 ) * YC(  MACO3 ) * YC(  MECO3 )
      RXRAT(  106 ) = RKI( 106 ) * YC(  MACO3 ) * YC(  RCO3 )
      RXRAT(  107 ) = RKI( 107 ) * YC(  MACO3 ) * YC(  BZCO3 )
      RXRAT(  108 ) = RKI( 108 ) * YC(  MACO3 ) * YC(  MACO3 )
      RXRAT(  109 ) = RKI( 109 ) * YC(  TBUO ) * YC(  NO2 )
      RXRAT(  110 ) = RKI( 110 ) * YC(  TBUO )
      RXRAT(  111 ) = RKI( 111 ) * YC(  BZO ) * YC(  NO2 )
      RXRAT(  112 ) = RKI( 112 ) * YC(  BZO ) * YC(  HO2 )
      RXRAT(  113 ) = RKI( 113 ) * YC(  BZO )
      RXRAT(  114 ) = RKI( 114 ) * YC(  xHO2 )
      RXRAT(  115 ) = RKI( 115 ) * YC(  xHO2 )
      RXRAT(  116 ) = RKI( 116 ) * YC(  xOH )
      RXRAT(  117 ) = RKI( 117 ) * YC(  xOH )
      RXRAT(  118 ) = RKI( 118 ) * YC(  xNO2 )
      RXRAT(  119 ) = RKI( 119 ) * YC(  xNO2 )
      RXRAT(  120 ) = RKI( 120 ) * YC(  xMEO2 )
      RXRAT(  121 ) = RKI( 121 ) * YC(  xMEO2 )
      RXRAT(  122 ) = RKI( 122 ) * YC(  xMECO3 )
      RXRAT(  123 ) = RKI( 123 ) * YC(  xMECO3 )
      RXRAT(  124 ) = RKI( 124 ) * YC(  xRCO3 )
      RXRAT(  125 ) = RKI( 125 ) * YC(  xRCO3 )
      RXRAT(  126 ) = RKI( 126 ) * YC(  xMACO3 )
      RXRAT(  127 ) = RKI( 127 ) * YC(  xMACO3 )
      RXRAT(  128 ) = RKI( 128 ) * YC(  xTBUO )
      RXRAT(  129 ) = RKI( 129 ) * YC(  xTBUO )
      RXRAT(  130 ) = RKI( 130 ) * YC(  xCO )
      RXRAT(  131 ) = RKI( 131 ) * YC(  xCO )
      RXRAT(  132 ) = RKI( 132 ) * YC(  HCHO )
      RXRAT(  133 ) = RKI( 133 ) * YC(  HCHO )
      RXRAT(  134 ) = RKI( 134 ) * YC(  HCHO ) * YC(  OH )
      RXRAT(  135 ) = RKI( 135 ) * YC(  HCHO ) * YC(  NO3 )
      RXRAT(  136 ) = RKI( 136 ) * YC(  CCHO ) * YC(  OH )
      RXRAT(  137 ) = RKI( 137 ) * YC(  CCHO )
      RXRAT(  138 ) = RKI( 138 ) * YC(  CCHO ) * YC(  NO3 )
      RXRAT(  139 ) = RKI( 139 ) * YC(  RCHO ) * YC(  OH )
      RXRAT(  140 ) = RKI( 140 ) * YC(  RCHO )
      RXRAT(  141 ) = RKI( 141 ) * YC(  RCHO ) * YC(  NO3 )
      RXRAT(  142 ) = RKI( 142 ) * YC(  ACETONE ) * YC(  OH )
      RXRAT(  143 ) = RKI( 143 ) * YC(  ACETONE )
      RXRAT(  144 ) = RKI( 144 ) * YC(  MEK ) * YC(  OH )
      RXRAT(  145 ) = RKI( 145 ) * YC(  MEK )
      RXRAT(  146 ) = RKI( 146 ) * YC(  MEOH ) * YC(  OH )
      RXRAT(  147 ) = RKI( 147 ) * YC(  HCOOH ) * YC(  OH )
      RXRAT(  148 ) = RKI( 148 ) * YC(  CCOOH ) * YC(  OH )
      RXRAT(  149 ) = RKI( 149 ) * YC(  RCOOH ) * YC(  OH )
      RXRAT(  150 ) = RKI( 150 ) * YC(  COOH ) * YC(  OH )
      RXRAT(  151 ) = RKI( 151 ) * YC(  COOH )
      RXRAT(  152 ) = RKI( 152 ) * YC(  ROOH ) * YC(  OH )
      RXRAT(  153 ) = RKI( 153 ) * YC(  ROOH )
      RXRAT(  154 ) = RKI( 154 ) * YC(  R6OOH ) * YC(  OH )
      RXRAT(  155 ) = RKI( 155 ) * YC(  R6OOH )
      RXRAT(  156 ) = RKI( 156 ) * YC(  RAOOH ) * YC(  OH )
      RXRAT(  157 ) = RKI( 157 ) * YC(  RAOOH )
      RXRAT(  158 ) = RKI( 158 ) * YC(  GLY )
      RXRAT(  159 ) = RKI( 159 ) * YC(  GLY )
      RXRAT(  160 ) = RKI( 160 ) * YC(  GLY ) * YC(  OH )
      RXRAT(  161 ) = RKI( 161 ) * YC(  GLY ) * YC(  NO3 )
      RXRAT(  162 ) = RKI( 162 ) * YC(  MGLY )
      RXRAT(  163 ) = RKI( 163 ) * YC(  MGLY ) * YC(  OH )
      RXRAT(  164 ) = RKI( 164 ) * YC(  MGLY ) * YC(  NO3 )
      RXRAT(  165 ) = RKI( 165 ) * YC(  BACL )
      RXRAT(  166 ) = RKI( 166 ) * YC(  CRES ) * YC(  OH )
      RXRAT(  167 ) = RKI( 167 ) * YC(  CRES ) * YC(  NO3 )
      RXRAT(  168 ) = RKI( 168 ) * YC(  NPHE ) * YC(  OH )
      RXRAT(  169 ) = RKI( 169 ) * YC(  NPHE )
      RXRAT(  170 ) = RKI( 170 ) * YC(  NPHE )
      RXRAT(  171 ) = RKI( 171 ) * YC(  BALD ) * YC(  OH )
      RXRAT(  172 ) = RKI( 172 ) * YC(  BALD )
      RXRAT(  173 ) = RKI( 173 ) * YC(  BALD ) * YC(  NO3 )
      RXRAT(  174 ) = RKI( 174 ) * YC(  AFG1 ) * YC(  OH )
      RXRAT(  175 ) = RKI( 175 ) * YC(  AFG1 ) * YC(  O3 )
      RXRAT(  176 ) = RKI( 176 ) * YC(  AFG1 )
      RXRAT(  177 ) = RKI( 177 ) * YC(  AFG2 ) * YC(  OH )
      RXRAT(  178 ) = RKI( 178 ) * YC(  AFG2 ) * YC(  O3 )
      RXRAT(  179 ) = RKI( 179 ) * YC(  AFG2 )
      RXRAT(  180 ) = RKI( 180 ) * YC(  AFG3 ) * YC(  OH )
      RXRAT(  181 ) = RKI( 181 ) * YC(  AFG3 ) * YC(  O3 )
      RXRAT(  182 ) = RKI( 182 ) * YC(  MACR ) * YC(  OH )
      RXRAT(  183 ) = RKI( 183 ) * YC(  MACR ) * YC(  O3 )
      RXRAT(  184 ) = RKI( 184 ) * YC(  MACR ) * YC(  NO3 )
      RXRAT(  185 ) = RKI( 185 ) * YC(  MACR ) * YC(  O3P )
      RXRAT(  186 ) = RKI( 186 ) * YC(  MACR )
      RXRAT(  187 ) = RKI( 187 ) * YC(  MVK ) * YC(  OH )
      RXRAT(  188 ) = RKI( 188 ) * YC(  MVK ) * YC(  O3 )
      RXRAT(  189 ) = RKI( 189 ) * YC(  MVK ) * YC(  O3P )
      RXRAT(  190 ) = RKI( 190 ) * YC(  MVK )
      RXRAT(  191 ) = RKI( 191 ) * YC(  IPRD ) * YC(  OH )
      RXRAT(  192 ) = RKI( 192 ) * YC(  IPRD ) * YC(  O3 )
      RXRAT(  193 ) = RKI( 193 ) * YC(  IPRD ) * YC(  NO3 )
      RXRAT(  194 ) = RKI( 194 ) * YC(  IPRD )
      RXRAT(  195 ) = RKI( 195 ) * YC(  PRD2 ) * YC(  OH )
      RXRAT(  196 ) = RKI( 196 ) * YC(  PRD2 )
      RXRAT(  197 ) = RKI( 197 ) * YC(  RNO3 ) * YC(  OH )
      RXRAT(  198 ) = RKI( 198 ) * YC(  RNO3 )
      RXRAT(  199 ) = RKI( 199 ) * YC(  HOCCHO ) * YC(  OH )
      RXRAT(  200 ) = RKI( 200 ) * YC(  HOCCHO )
      RXRAT(  201 ) = RKI( 201 ) * YC(  HOCCHO ) * YC(  NO3 )
      RXRAT(  202 ) = RKI( 202 ) * YC(  ACROLEIN ) * YC(  OH )
      RXRAT(  203 ) = RKI( 203 ) * YC(  ACROLEIN ) * YC(  O3 )
      RXRAT(  204 ) = RKI( 204 ) * YC(  ACROLEIN ) * YC(  NO3 )
      RXRAT(  205 ) = RKI( 205 ) * YC(  ACROLEIN ) * YC(  O3P )
      RXRAT(  206 ) = RKI( 206 ) * YC(  ACROLEIN )
      RXRAT(  207 ) = RKI( 207 ) * YC(  CCOOOH ) * YC(  OH )
      RXRAT(  208 ) = RKI( 208 ) * YC(  CCOOOH )
      RXRAT(  209 ) = RKI( 209 ) * YC(  RCOOOH ) * YC(  OH )
      RXRAT(  210 ) = RKI( 210 ) * YC(  HCOCO3 ) * YC(  NO )
      RXRAT(  211 ) = RKI( 211 ) * YC(  HCOCO3 ) * YC(  NO2 )
      RXRAT(  212 ) = RKI( 212 ) * YC(  HCOCO3 ) * YC(  HO2 )
      RXRAT(  213 ) = RKI( 213 ) * YC(  xHCHO )
      RXRAT(  214 ) = RKI( 214 ) * YC(  xHCHO )
      RXRAT(  215 ) = RKI( 215 ) * YC(  xCCHO )
      RXRAT(  216 ) = RKI( 216 ) * YC(  xCCHO )
      RXRAT(  217 ) = RKI( 217 ) * YC(  xRCHO )
      RXRAT(  218 ) = RKI( 218 ) * YC(  xRCHO )
      RXRAT(  219 ) = RKI( 219 ) * YC(  xACETONE )
      RXRAT(  220 ) = RKI( 220 ) * YC(  xACETONE )
      RXRAT(  221 ) = RKI( 221 ) * YC(  xMEK )
      RXRAT(  222 ) = RKI( 222 ) * YC(  xMEK )
      RXRAT(  223 ) = RKI( 223 ) * YC(  xPROD2 )
      RXRAT(  224 ) = RKI( 224 ) * YC(  xPROD2 )
      RXRAT(  225 ) = RKI( 225 ) * YC(  xGLY )
      RXRAT(  226 ) = RKI( 226 ) * YC(  xGLY )
      RXRAT(  227 ) = RKI( 227 ) * YC(  xMGLY )
      RXRAT(  228 ) = RKI( 228 ) * YC(  xMGLY )
      RXRAT(  229 ) = RKI( 229 ) * YC(  xBACL )
      RXRAT(  230 ) = RKI( 230 ) * YC(  xBACL )
      RXRAT(  231 ) = RKI( 231 ) * YC(  xBALD )
      RXRAT(  232 ) = RKI( 232 ) * YC(  xBALD )
      RXRAT(  233 ) = RKI( 233 ) * YC(  xAFG1 )
      RXRAT(  234 ) = RKI( 234 ) * YC(  xAFG1 )
      RXRAT(  235 ) = RKI( 235 ) * YC(  xAFG2 )
      RXRAT(  236 ) = RKI( 236 ) * YC(  xAFG2 )
      RXRAT(  237 ) = RKI( 237 ) * YC(  xAFG3 )
      RXRAT(  238 ) = RKI( 238 ) * YC(  xAFG3 )
      RXRAT(  239 ) = RKI( 239 ) * YC(  xMACR )
      RXRAT(  240 ) = RKI( 240 ) * YC(  xMACR )
      RXRAT(  241 ) = RKI( 241 ) * YC(  xMVK )
      RXRAT(  242 ) = RKI( 242 ) * YC(  xMVK )
      RXRAT(  243 ) = RKI( 243 ) * YC(  xIPRD )
      RXRAT(  244 ) = RKI( 244 ) * YC(  xIPRD )
      RXRAT(  245 ) = RKI( 245 ) * YC(  xRNO3 )
      RXRAT(  246 ) = RKI( 246 ) * YC(  xRNO3 )
      RXRAT(  247 ) = RKI( 247 ) * YC(  zRNO3 )
      RXRAT(  248 ) = RKI( 248 ) * YC(  zRNO3 )
      RXRAT(  249 ) = RKI( 249 ) * YC(  zRNO3 )
      RXRAT(  250 ) = RKI( 250 ) * YC(  yROOH )
      RXRAT(  251 ) = RKI( 251 ) * YC(  yROOH )
      RXRAT(  252 ) = RKI( 252 ) * YC(  yROOH )
      RXRAT(  253 ) = RKI( 253 ) * YC(  yR6OOH )
      RXRAT(  254 ) = RKI( 254 ) * YC(  yR6OOH )
      RXRAT(  255 ) = RKI( 255 ) * YC(  yR6OOH )
      RXRAT(  256 ) = RKI( 256 ) * YC(  yISOPOOH )
      RXRAT(  257 ) = RKI( 257 ) * YC(  yISOPOOH )
      RXRAT(  258 ) = RKI( 258 ) * YC(  yISOPOOH )
      RXRAT(  259 ) = RKI( 259 ) * YC(  yRAOOH )
      RXRAT(  260 ) = RKI( 260 ) * YC(  yRAOOH )
      RXRAT(  261 ) = RKI( 261 ) * YC(  yRAOOH )
      RXRAT(  262 ) = RKI( 262 ) * YC(  xHOCCHO )
      RXRAT(  263 ) = RKI( 263 ) * YC(  xHOCCHO )
      RXRAT(  264 ) = RKI( 264 ) * YC(  xACROLEIN )
      RXRAT(  265 ) = RKI( 265 ) * YC(  xACROLEIN )
      RXRAT(  266 ) = RKI( 266 ) * YC(  OH )
      RXRAT(  267 ) = RKI( 267 ) * YC(  ETHENE ) * YC(  OH )
      RXRAT(  268 ) = RKI( 268 ) * YC(  ETHENE ) * YC(  O3 )
      RXRAT(  269 ) = RKI( 269 ) * YC(  ETHENE ) * YC(  NO3 )
      RXRAT(  270 ) = RKI( 270 ) * YC(  ETHENE ) * YC(  O3P )
      RXRAT(  271 ) = RKI( 271 ) * YC(  PROPENE ) * YC(  OH )
      RXRAT(  272 ) = RKI( 272 ) * YC(  PROPENE ) * YC(  O3 )
      RXRAT(  273 ) = RKI( 273 ) * YC(  PROPENE ) * YC(  NO3 )
      RXRAT(  274 ) = RKI( 274 ) * YC(  PROPENE ) * YC(  O3P )
      RXRAT(  275 ) = RKI( 275 ) * YC(  BUTADIENE13 ) * YC(  OH )
      RXRAT(  276 ) = RKI( 276 ) * YC(  BUTADIENE13 ) * YC(  O3 )
      RXRAT(  277 ) = RKI( 277 ) * YC(  BUTADIENE13 ) * YC(  NO3 )
      RXRAT(  278 ) = RKI( 278 ) * YC(  BUTADIENE13 ) * YC(  O3P )
      RXRAT(  279 ) = RKI( 279 ) * YC(  ISOPRENE ) * YC(  OH )
      RXRAT(  280 ) = RKI( 280 ) * YC(  ISOPRENE ) * YC(  O3 )
      RXRAT(  281 ) = RKI( 281 ) * YC(  ISOPRENE ) * YC(  NO3 )
      RXRAT(  282 ) = RKI( 282 ) * YC(  ISOPRENE ) * YC(  O3P )
      RXRAT(  283 ) = RKI( 283 ) * YC(  ISOPOOH ) * YC(  OH )
      RXRAT(  284 ) = RKI( 284 ) * YC(  ISOPOOH ) * YC(  OH )
      RXRAT(  285 ) = RKI( 285 ) * YC(  ISOPOOH )
      RXRAT(  286 ) = RKI( 286 ) * YC(  IEPOX ) * YC(  OH )
      RXRAT(  287 ) = RKI( 287 ) * YC(  IEPOXOO ) * YC(  HO2 )
      RXRAT(  288 ) = RKI( 288 ) * YC(  IEPOXOO ) * YC(  NO )
      RXRAT(  289 ) = RKI( 289 ) * YC(  IEPOXOO ) * YC(  MEO2 )
      RXRAT(  290 ) = RKI( 290 ) * YC(  IEPOXOO ) * YC(  RO2C )
      RXRAT(  291 ) = RKI( 291 ) * YC(  IEPOXOO ) * YC(  MECO3 )
      RXRAT(  292 ) = RKI( 292 ) * YC(  APIN ) * YC(  OH )
      RXRAT(  293 ) = RKI( 293 ) * YC(  APIN ) * YC(  O3 )
      RXRAT(  294 ) = RKI( 294 ) * YC(  APIN ) * YC(  NO3 )
      RXRAT(  295 ) = RKI( 295 ) * YC(  APIN ) * YC(  O3P )
      RXRAT(  296 ) = RKI( 296 ) * YC(  ACETYLENE ) * YC(  OH )
      RXRAT(  297 ) = RKI( 297 ) * YC(  ACETYLENE ) * YC(  O3 )
      RXRAT(  298 ) = RKI( 298 ) * YC(  BENZENE ) * YC(  OH )
      RXRAT(  299 ) = RKI( 299 ) * YC(  TOLUENE ) * YC(  OH )
      RXRAT(  300 ) = RKI( 300 ) * YC(  MXYL ) * YC(  OH )
      RXRAT(  301 ) = RKI( 301 ) * YC(  OXYL ) * YC(  OH )
      RXRAT(  302 ) = RKI( 302 ) * YC(  PXYL ) * YC(  OH )
      RXRAT(  303 ) = RKI( 303 ) * YC(  TMBENZ124 ) * YC(  OH )
      RXRAT(  304 ) = RKI( 304 ) * YC(  ETOH ) * YC(  OH )
      RXRAT(  305 ) = RKI( 305 ) * YC(  ALK1 ) * YC(  OH )
      RXRAT(  306 ) = RKI( 306 ) * YC(  ALK2 ) * YC(  OH )
      RXRAT(  307 ) = RKI( 307 ) * YC(  ALK3 ) * YC(  OH )
      RXRAT(  308 ) = RKI( 308 ) * YC(  ALK4 ) * YC(  OH )
      RXRAT(  309 ) = RKI( 309 ) * YC(  ALK5 ) * YC(  OH )
      RXRAT(  310 ) = RKI( 310 ) * YC(  SOAALK ) * YC(  OH )
      RXRAT(  311 ) = RKI( 311 ) * YC(  OLE1 ) * YC(  OH )
      RXRAT(  312 ) = RKI( 312 ) * YC(  OLE1 ) * YC(  O3 )
      RXRAT(  313 ) = RKI( 313 ) * YC(  OLE1 ) * YC(  NO3 )
      RXRAT(  314 ) = RKI( 314 ) * YC(  OLE1 ) * YC(  O3P )
      RXRAT(  315 ) = RKI( 315 ) * YC(  OLE2 ) * YC(  OH )
      RXRAT(  316 ) = RKI( 316 ) * YC(  OLE2 ) * YC(  O3 )
      RXRAT(  317 ) = RKI( 317 ) * YC(  OLE2 ) * YC(  NO3 )
      RXRAT(  318 ) = RKI( 318 ) * YC(  OLE2 ) * YC(  O3P )
      RXRAT(  319 ) = RKI( 319 ) * YC(  ARO1 ) * YC(  OH )
      RXRAT(  320 ) = RKI( 320 ) * YC(  ARO2MN ) * YC(  OH )
      RXRAT(  321 ) = RKI( 321 ) * YC(  NAPHTHAL ) * YC(  OH )
      RXRAT(  322 ) = RKI( 322 ) * YC(  TERP ) * YC(  OH )
      RXRAT(  323 ) = RKI( 323 ) * YC(  TERP ) * YC(  O3 )
      RXRAT(  324 ) = RKI( 324 ) * YC(  TERP ) * YC(  NO3 )
      RXRAT(  325 ) = RKI( 325 ) * YC(  TERP ) * YC(  O3P )
      RXRAT(  326 ) = RKI( 326 ) * YC(  SESQ ) * YC(  OH )
      RXRAT(  327 ) = RKI( 327 ) * YC(  SESQ ) * YC(  O3 )
      RXRAT(  328 ) = RKI( 328 ) * YC(  SESQ ) * YC(  NO3 )
      RXRAT(  329 ) = RKI( 329 ) * YC(  SESQ ) * YC(  O3P )
      RXRAT(  330 ) = RKI( 330 ) * YC(  CL2 )
      RXRAT(  331 ) = RKI( 331 ) * YC(  CL ) * YC(  NO )
      RXRAT(  332 ) = RKI( 332 ) * YC(  CLNO )
      RXRAT(  333 ) = RKI( 333 ) * YC(  CL ) * YC(  NO2 )
      RXRAT(  334 ) = RKI( 334 ) * YC(  CL ) * YC(  NO2 )
      RXRAT(  335 ) = RKI( 335 ) * YC(  CLONO )
      RXRAT(  336 ) = RKI( 336 ) * YC(  CLNO2 )
      RXRAT(  337 ) = RKI( 337 ) * YC(  CL ) * YC(  HO2 )
      RXRAT(  338 ) = RKI( 338 ) * YC(  CL ) * YC(  HO2 )
      RXRAT(  339 ) = RKI( 339 ) * YC(  CL ) * YC(  O3 )
      RXRAT(  340 ) = RKI( 340 ) * YC(  CL ) * YC(  NO3 )
      RXRAT(  341 ) = RKI( 341 ) * YC(  CLO ) * YC(  NO )
      RXRAT(  342 ) = RKI( 342 ) * YC(  CLO ) * YC(  NO2 )
      RXRAT(  343 ) = RKI( 343 ) * YC(  CLONO2 )
      RXRAT(  344 ) = RKI( 344 ) * YC(  CLONO2 )
      RXRAT(  345 ) = RKI( 345 ) * YC(  CLONO2 )
      RXRAT(  346 ) = RKI( 346 ) * YC(  CL ) * YC(  CLONO2 )
      RXRAT(  347 ) = RKI( 347 ) * YC(  CLO ) * YC(  HO2 )
      RXRAT(  348 ) = RKI( 348 ) * YC(  HOCL )
      RXRAT(  349 ) = RKI( 349 ) * YC(  CLO ) * YC(  CLO )
      RXRAT(  350 ) = RKI( 350 ) * YC(  OH ) * YC(  HCL )
      RXRAT(  351 ) = RKI( 351 ) * YC(  CL )
      RXRAT(  352 ) = RKI( 352 ) * YC(  HCHO ) * YC(  CL )
      RXRAT(  353 ) = RKI( 353 ) * YC(  CCHO ) * YC(  CL )
      RXRAT(  354 ) = RKI( 354 ) * YC(  MEOH ) * YC(  CL )
      RXRAT(  355 ) = RKI( 355 ) * YC(  RCHO ) * YC(  CL )
      RXRAT(  356 ) = RKI( 356 ) * YC(  ACETONE ) * YC(  CL )
      RXRAT(  357 ) = RKI( 357 ) * YC(  MEK ) * YC(  CL )
      RXRAT(  358 ) = RKI( 358 ) * YC(  RNO3 ) * YC(  CL )
      RXRAT(  359 ) = RKI( 359 ) * YC(  PRD2 ) * YC(  CL )
      RXRAT(  360 ) = RKI( 360 ) * YC(  GLY ) * YC(  CL )
      RXRAT(  361 ) = RKI( 361 ) * YC(  MGLY ) * YC(  CL )
      RXRAT(  362 ) = RKI( 362 ) * YC(  CRES ) * YC(  CL )
      RXRAT(  363 ) = RKI( 363 ) * YC(  BALD ) * YC(  CL )
      RXRAT(  364 ) = RKI( 364 ) * YC(  ROOH ) * YC(  CL )
      RXRAT(  365 ) = RKI( 365 ) * YC(  R6OOH ) * YC(  CL )
      RXRAT(  366 ) = RKI( 366 ) * YC(  RAOOH ) * YC(  CL )
      RXRAT(  367 ) = RKI( 367 ) * YC(  ACROLEIN ) * YC(  CL )
      RXRAT(  368 ) = RKI( 368 ) * YC(  MACR ) * YC(  CL )
      RXRAT(  369 ) = RKI( 369 ) * YC(  MVK ) * YC(  CL )
      RXRAT(  370 ) = RKI( 370 ) * YC(  IPRD ) * YC(  CL )
      RXRAT(  371 ) = RKI( 371 ) * YC(  CLCCHO )
      RXRAT(  372 ) = RKI( 372 ) * YC(  CLCCHO ) * YC(  OH )
      RXRAT(  373 ) = RKI( 373 ) * YC(  CLCCHO ) * YC(  CL )
      RXRAT(  374 ) = RKI( 374 ) * YC(  CLACET )
      RXRAT(  375 ) = RKI( 375 ) * YC(  xCL )
      RXRAT(  376 ) = RKI( 376 ) * YC(  xCL )
      RXRAT(  377 ) = RKI( 377 ) * YC(  xCLCCHO )
      RXRAT(  378 ) = RKI( 378 ) * YC(  xCLCCHO )
      RXRAT(  379 ) = RKI( 379 ) * YC(  xCLACET )
      RXRAT(  380 ) = RKI( 380 ) * YC(  xCLACET )
      RXRAT(  381 ) = RKI( 381 ) * YC(  CL )
      RXRAT(  382 ) = RKI( 382 ) * YC(  ETHENE ) * YC(  CL )
      RXRAT(  383 ) = RKI( 383 ) * YC(  PROPENE ) * YC(  CL )
      RXRAT(  384 ) = RKI( 384 ) * YC(  BUTADIENE13 ) * YC(  CL )
      RXRAT(  385 ) = RKI( 385 ) * YC(  ISOPRENE ) * YC(  CL )
      RXRAT(  386 ) = RKI( 386 ) * YC(  APIN ) * YC(  CL )
      RXRAT(  387 ) = RKI( 387 ) * YC(  ACETYLENE ) * YC(  CL )
      RXRAT(  388 ) = RKI( 388 ) * YC(  TOLUENE ) * YC(  CL )
      RXRAT(  389 ) = RKI( 389 ) * YC(  MXYL ) * YC(  CL )
      RXRAT(  390 ) = RKI( 390 ) * YC(  OXYL ) * YC(  CL )
      RXRAT(  391 ) = RKI( 391 ) * YC(  PXYL ) * YC(  CL )
      RXRAT(  392 ) = RKI( 392 ) * YC(  TMBENZ124 ) * YC(  CL )
      RXRAT(  393 ) = RKI( 393 ) * YC(  ETOH ) * YC(  CL )
      RXRAT(  394 ) = RKI( 394 ) * YC(  ALK1 ) * YC(  CL )
      RXRAT(  395 ) = RKI( 395 ) * YC(  ALK2 ) * YC(  CL )
      RXRAT(  396 ) = RKI( 396 ) * YC(  ALK3 ) * YC(  CL )
      RXRAT(  397 ) = RKI( 397 ) * YC(  ALK4 ) * YC(  CL )
      RXRAT(  398 ) = RKI( 398 ) * YC(  ALK5 ) * YC(  CL )
      RXRAT(  399 ) = RKI( 399 ) * YC(  OLE1 ) * YC(  CL )
      RXRAT(  400 ) = RKI( 400 ) * YC(  OLE2 ) * YC(  CL )
      RXRAT(  401 ) = RKI( 401 ) * YC(  ARO1 ) * YC(  CL )
      RXRAT(  402 ) = RKI( 402 ) * YC(  ARO2MN ) * YC(  CL )
      RXRAT(  403 ) = RKI( 403 ) * YC(  NAPHTHAL ) * YC(  CL )
      RXRAT(  404 ) = RKI( 404 ) * YC(  TERP ) * YC(  CL )
      RXRAT(  405 ) = RKI( 405 ) * YC(  SESQ ) * YC(  CL )
      RXRAT(  406 ) = RKI( 406 ) * YC(  BENZRO2 ) * YC(  NO )
      RXRAT(  407 ) = RKI( 407 ) * YC(  BENZRO2 ) * YC(  HO2 )
      RXRAT(  408 ) = RKI( 408 ) * YC(  XYLRO2 ) * YC(  NO )
      RXRAT(  409 ) = RKI( 409 ) * YC(  XYLRO2 ) * YC(  HO2 )
      RXRAT(  410 ) = RKI( 410 ) * YC(  TOLRO2 ) * YC(  NO )
      RXRAT(  411 ) = RKI( 411 ) * YC(  TOLRO2 ) * YC(  HO2 )
      RXRAT(  412 ) = RKI( 412 ) * YC(  PAHRO2 ) * YC(  NO )
      RXRAT(  413 ) = RKI( 413 ) * YC(  PAHRO2 ) * YC(  HO2 )
      RXRAT(  414 ) = RKI( 414 ) * YC(  HCHO_PRIMARY )
      RXRAT(  415 ) = RKI( 415 ) * YC(  HCHO_PRIMARY )
      RXRAT(  416 ) = RKI( 416 ) * YC(  HCHO_PRIMARY ) * YC(  OH )
      RXRAT(  417 ) = RKI( 417 ) * YC(  HCHO_PRIMARY ) * YC(  NO3 )
      RXRAT(  418 ) = RKI( 418 ) * YC(  HCHO_PRIMARY ) * YC(  CL )
      RXRAT(  419 ) = RKI( 419 ) * YC(  CCHO_PRIMARY ) * YC(  OH )
      RXRAT(  420 ) = RKI( 420 ) * YC(  CCHO_PRIMARY )
      RXRAT(  421 ) = RKI( 421 ) * YC(  CCHO_PRIMARY ) * YC(  NO3 )
      RXRAT(  422 ) = RKI( 422 ) * YC(  CCHO_PRIMARY ) * YC(  CL )
      RXRAT(  423 ) = RKI( 423 ) * YC(  ACRO_PRIMARY ) * YC(  OH )
      RXRAT(  424 ) = RKI( 424 ) * YC(  ACRO_PRIMARY ) * YC(  O3 )
      RXRAT(  425 ) = RKI( 425 ) * YC(  ACRO_PRIMARY ) * YC(  NO3 )
      RXRAT(  426 ) = RKI( 426 ) * YC(  ACRO_PRIMARY ) * YC(  O3P )
      RXRAT(  427 ) = RKI( 427 ) * YC(  ACRO_PRIMARY )
      RXRAT(  428 ) = RKI( 428 ) * YC(  ACRO_PRIMARY ) * YC(  CL )
      RXRAT(  429 ) = RKI( 429 ) * YC(  NO2 )
      RXRAT(  430 ) = RKI( 430 ) * YC(  N2O5 )
      RXRAT(  431 ) = RKI( 431 ) * YC(  N2O5 )
      RXRAT(  432 ) = RKI( 432 ) * YC(  H2NO3PIJ )
      RXRAT(  433 ) = RKI( 433 ) * YC(  H2NO3PK )
      RXRAT(  434 ) = RKI( 434 ) * YC(  H2NO3PIJ ) * YC(  ACLI )
      RXRAT(  435 ) = RKI( 435 ) * YC(  H2NO3PIJ ) * YC(  ACLJ )
      RXRAT(  436 ) = RKI( 436 ) * YC(  H2NO3PK ) * YC(  ACLK )
!     RXRAT(  437 ) = RKI( 437 ) * YC(  O3 )
      RXRAT(  438 ) = RKI( 438 ) * YC(  AXYL1J )
      RXRAT(  439 ) = RKI( 439 ) * YC(  AXYL2J )
      RXRAT(  440 ) = RKI( 440 ) * YC(  ATOL1J )
      RXRAT(  441 ) = RKI( 441 ) * YC(  ATOL2J )
      RXRAT(  442 ) = RKI( 442 ) * YC(  ABNZ1J )
      RXRAT(  443 ) = RKI( 443 ) * YC(  ABNZ2J )
      RXRAT(  444 ) = RKI( 444 ) * YC(  ATRP1J )
      RXRAT(  445 ) = RKI( 445 ) * YC(  ATRP2J )
      RXRAT(  446 ) = RKI( 446 ) * YC(  AISO1J )
      RXRAT(  447 ) = RKI( 447 ) * YC(  AISO2J )
      RXRAT(  448 ) = RKI( 448 ) * YC(  ASQTJ )
      RXRAT(  449 ) = RKI( 449 ) * YC(  APAH1J )
      RXRAT(  450 ) = RKI( 450 ) * YC(  APAH2J )
      RXRAT(  451 ) = RKI( 451 ) * YC(  AALK1J )
      RXRAT(  452 ) = RKI( 452 ) * YC(  AALK2J )
      RXRAT(  453 ) = RKI( 453 ) * YC(  PCVOC ) * YC(  OH )
      RXRAT(  454 ) = RKI( 454 ) * YC(  VLVPO1 ) * YC(  OH )
      RXRAT(  455 ) = RKI( 455 ) * YC(  VSVPO1 ) * YC(  OH )
      RXRAT(  456 ) = RKI( 456 ) * YC(  VSVPO2 ) * YC(  OH )
      RXRAT(  457 ) = RKI( 457 ) * YC(  VSVPO3 ) * YC(  OH )
      RXRAT(  458 ) = RKI( 458 ) * YC(  VIVPO1 ) * YC(  OH )
      RXRAT(  459 ) = RKI( 459 ) * YC(  VLVOO1 ) * YC(  OH )
      RXRAT(  460 ) = RKI( 460 ) * YC(  VLVOO2 ) * YC(  OH )
      RXRAT(  461 ) = RKI( 461 ) * YC(  VSVOO1 ) * YC(  OH )
      RXRAT(  462 ) = RKI( 462 ) * YC(  VSVOO2 ) * YC(  OH )
      RXRAT(  463 ) = RKI( 463 ) * YC(  VSVOO3 ) * YC(  OH )
      RXRAT(  464 ) = RKI( 464 ) * YC(  IEPOX )


      RETURN

      END
